<?php
/**
 * Plugin Name: Fluent Addons
 * Plugin URI:  http://joommasters.com
 * Description: Currently supports the following theme functionality: shortcodes, CPT.
 * Version:     1.0.3
 * Author:      Joommasters
 * Author URI: http://joommasters.com
 * License:     GPL2
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: fluent-addons
 */

define( 'FLUENT_ADDONS_URL', plugin_dir_url( __FILE__ ) );
define( 'FLUENT_ADDONS_PATH', plugin_dir_path( __FILE__ ) );

if( ! function_exists('is_plugin_active') ){
    include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
}

/*
 * Load plugin textdomain
 */
function fluent_toolkit_load_textdomain() {
    load_plugin_textdomain( 'fluent-addons', false, FLUENT_ADDONS_PATH . '/languages' );
}

function fluent_admin_styles() {
    wp_enqueue_style('toolkit-css', FLUENT_ADDONS_URL . 'assets/css/toolkit.css');
}
add_action('admin_print_styles', 'fluent_admin_styles');

// Require JMS Addons
if ( is_plugin_active( 'kingcomposer/kingcomposer.php' ) ) {
    require_once FLUENT_ADDONS_PATH . '/shortcodes/kc_functions.php';
}

// Require ReduxFramework
if ( !class_exists ( 'ReduxFramework' ) && file_exists ( FLUENT_ADDONS_PATH . 'inc/ReduxCore/framework.php' ) ) {
    require_once ( FLUENT_ADDONS_PATH .'inc/ReduxCore/framework.php' );

    function fluent_custom_css_redux() {
        wp_register_style(
            'redux-custom-css',
            FLUENT_ADDONS_URL . 'assets/css/redux-framework.css',
            array( 'redux-admin-css' ),
            time(),
            'all'
        );
        wp_enqueue_style('redux-custom-css');
    }
    add_action( 'redux/page/fluent_option/enqueue', 'fluent_custom_css_redux' );
}

require_once ( FLUENT_ADDONS_PATH .'inc/testimonial/init.php' );
require_once ( FLUENT_ADDONS_PATH .'inc/portfolio/init.php' );
