<?php
/**
 * Portfolio custom post type.
 */

// Prevent loading this file directly
defined( 'ABSPATH' ) || exit;

class Fluent_Addons_Testimonial {
	/**
	 * Construct function.
	 *
	 * @return  void
	 */
	function __construct() {
		add_action( 'init', array( __CLASS__, 'testimonial_init' ) );
	}

	/**
	 * Register a testimonial post type.
	 *
	 * @link http://codex.wordpress.org/Function_Reference/register_post_type
	 */
	public static function testimonial_init() {
		register_post_type( 'testimonial',
			array(
				'public'             => true,
				'publicly_queryable' => true,
				'show_ui'            => true,
				'show_in_menu'       => true,
				'query_var'          => true,
				'rewrite'            => array( 'slug' => 'testimonial' ),
				'capability_type'    => 'post',
				'has_archive'        => true,
				'hierarchical'       => false,
				'menu_position'      => 99,
				'menu_icon'          => 'dashicons-welcome-widgets-menus',
				'supports'           => array( 'title', 'editor', 'thumbnail' ),
				'labels'             => array(
					'name'               => _x( 'Testimonial', 'fluent-addons' ),
					'singular_name'      => _x( 'Testimonial', 'fluent-addons' ),
					'menu_name'          => _x( 'Testimonial', 'fluent-addons' ),
					'name_admin_bar'     => _x( 'Testimonial', 'fluent-addons' ),
					'add_new'            => _x( 'Add New', 'fluent-addons' ),
					'add_new_item'       => __( 'Add New Testimonial', 'fluent-addons' ),
					'new_item'           => __( 'New Testimonial', 'fluent-addons' ),
					'edit_item'          => __( 'Edit Testimonial', 'fluent-addons' ),
					'view_item'          => __( 'View Testimonial', 'fluent-addons' ),
					'all_items'          => __( 'All Testimonial', 'fluent-addons' ),
					'search_items'       => __( 'Search Testimonial', 'fluent-addons' ),
					'parent_item_colon'  => __( 'Parent Testimonial:', 'fluent-addons' ),
					'not_found'          => __( 'No testimonials found.', 'fluent-addons' ),
					'not_found_in_trash' => __( 'No testimonials found in Trash.', 'fluent-addons' )
				),
			)
		);

	}
}
$testimonial = new Fluent_Addons_Testimonial;
