<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

function sliderlayer_scripts() {
	wp_enqueue_style( 'fractionsliderCss', JMS_SLIDER_CSS_URL . '/fractionslider.css' );
	wp_enqueue_style( 'fractionsliderStyleCss', FLUENT_URL . '/assets/css/jmsslider/style.css' );
    wp_enqueue_script( 'fractionsliderJs', JMS_SLIDER_JS_URL . '/jquery.fractionslider.js', array(), '', true);
}
add_action('wp_enqueue_scripts', 'sliderlayer_scripts');

function getSliders() {
	if ( is_plugin_active( 'jmsslider/jmsslider.php' ) ) {
		// Get slides
	    global $wpdb;

	    $query = "SELECT * FROM " . $wpdb->prefix . "jms_sliders";
		$rows = $wpdb->get_results( $query );

	    $result = array();
		foreach($rows as $key => $row) {
	        $result[$row->id_slider] = $row->title;
	    }

		return $result;
	} else {
		return;
	}
}

function kc_addons_init() {
 	global $kc;
    $kc->set_template_path( FLUENT_ADDONS_PATH . 'templates/' );
	$kc->set_template_path( get_template_directory() . '/kc-templates/' );

    $product_type = array(
		'recent-product'      => __('Recent Products', 'fluent-addons'),
		'featured-product'    => __('Featured Products', 'fluent-addons'),
		'best-seller-product' => __('Best Seller Products', 'fluent-addons'),
		'sale-product'        => __('Sales Products', 'fluent-addons'),
	);

    $order_by_values = array(
		'date'          => __( 'Date', 'fluent-addons' ),
		'ID'            => __( 'ID', 'fluent-addons' ),
		'author'        => __( 'Author', 'fluent-addons' ),
		'title'         => __( 'Title', 'fluent-addons' ),
		'rand'          => __( 'Random', 'fluent-addons' ),
	);

	$order_way_values = array(
		'DESC' => __( 'Descending', 'fluent-addons' ),
		'ASC' => __( 'Ascending', 'fluent-addons' )
	);

	$kc->add_map(
        array(
            'kc_banner' => array(
				'name'        => 'Banner',
				'description' => __('Display Banner', 'fluent-addons'),
				'icon'        => 'jms-icon',
				'category'    => 'JMS Addons',
				'css_box'     => true,
				'is_container' => true,
				'params'      => array(
					'general' => array(
						array(
							'name'        => 'banner_image',
							'label'       => __( 'Images', 'fluent-addons' ),
							'description' => __( 'Upload image', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'attach_image',
						),
						array(
							'name'  => 'banner_link',
							'label' => 'Banner link',
							'type'  => 'text',
							'value' => '#'
						),
						array(
							'name'        => 'text_1',
							'label'       => __( 'Text 1', 'fluent-addons' ),
							'type'        => 'text',
						),
						array(
							'name'        => 'text_2',
							'label'       => __( 'Text 2', 'fluent-addons' ),
							'type'        => 'text',
						),
						array(
							'name'        => 'show_button',
							'label'       => __( 'Display Button', 'fluent-addons' ),
							'type'        => 'toggle',
						),
						array(
							'name'        => 'button_text',
							'label'       => __( 'Text Button', 'fluent-addons' ),
							'type'        => 'text',
							'value' 	  => 'Shop Now',
							'relation' => array(
						        'parent'    => 'show_button',
						        'show_when' => 'yes'
						    )
						),
						array(
							'name'        => 'button_link',
							'label'       => __( 'Link Button', 'fluent-addons' ),
							'type'        => 'link',
							'relation' => array(
						        'parent'    => 'show_button',
						        'show_when' => 'yes'
						    )
						),
						array(
							'name'        => 'extra_class',
							'label'       => __( 'Extra Class', 'fluent-addons' ),
							'type'        => 'text',
						),
                    ),
					'Styling' => array(
                    	//1st field
	                    array(
	                        'name' => 'my-css',
	                        'label' => 'Field Label',
	                        'type' => 'css',
	                        'options' => array(
	                        	array(
									'screens' => 'any,1024,999,767,479',
									'Typography' => array(
										array('property' => 'background', 'label' => 'Background', 'selector' => '.banner-text'),
										array('property' => 'color', 'label' => 'Color', 'selector' => '.banner-text'),
										array('property' => 'text-align', 'label' => 'Text Align', 'selector' => '.banner-text'),
										array('property' => 'margin', 'label' => 'Margin', 'selector' => '.banner-text'),
										array('property' => 'padding', 'label' => 'Padding', 'selector' => '.banner-text'),
									),
									'Text 1' => array(
										array('property' => 'color', 'label' => 'Color', 'selector' => '.banner-text-1 p'),
										array('property' => 'font-size', 'label' => 'Font Size', 'selector' => '.banner-text-1 p'),
										array('property' => 'font-weight', 'label' => 'Font Weight', 'selector' => '.banner-text-1 p'),
										array('property' => 'font-style', 'label' => 'Font Style', 'selector' => '.banner-text-1 p'),
										array('property' => 'font-family', 'label' => 'Font Family', 'selector' => '.banner-text-1 p'),
										array('property' => 'text-align', 'label' => 'Text Align', 'selector' => '.banner-text-1 p'),
										array('property' => 'text-shadow', 'label' => 'Text Shadow', 'selector' => '.banner-text-1 p'),
										array('property' => 'text-transform', 'label' => 'Text Transform', 'selector' => '.banner-text-1 p'),
										array('property' => 'text-decoration', 'label' => 'Text Decoration', 'selector' => '.banner-text-1 p'),
										array('property' => 'line-height', 'label' => 'Line Height', 'selector' => '.banner-text-1 p'),
										array('property' => 'letter-spacing', 'label' => 'Letter Spacing', 'selector' => '.banner-text-1 p'),
										array('property' => 'margin', 'label' => 'Margin', 'selector' => '.banner-text-1 p'),
										array('property' => 'padding', 'label' => 'Padding', 'selector' => '.banner-text-1 p'),
									),
									'Text 2' => array(
										array('property' => 'color', 'label' => 'Color', 'selector' => '.banner-text-2 p'),
										array('property' => 'font-size', 'label' => 'Font Size', 'selector' => '.banner-text-2 p'),
										array('property' => 'font-weight', 'label' => 'Font Weight', 'selector' => '.banner-text-2 p'),
										array('property' => 'font-style', 'label' => 'Font Style', 'selector' => '.banner-text-2 p'),
										array('property' => 'font-family', 'label' => 'Font Family', 'selector' => '.banner-text-2 p'),
										array('property' => 'text-align', 'label' => 'Text Align', 'selector' => '.banner-text-2 p'),
										array('property' => 'text-shadow', 'label' => 'Text Shadow', 'selector' => '.banner-text-2 p'),
										array('property' => 'text-transform', 'label' => 'Text Transform', 'selector' => '.banner-text-2 p'),
										array('property' => 'text-decoration', 'label' => 'Text Decoration', 'selector' => '.banner-text-2 p'),
										array('property' => 'line-height', 'label' => 'Line Height', 'selector' => '.banner-text-2 p'),
										array('property' => 'letter-spacing', 'label' => 'Letter Spacing', 'selector' => '.banner-text-2 p'),
										array('property' => 'margin', 'label' => 'Margin', 'selector' => '.banner-text-2 p'),
										array('property' => 'padding', 'label' => 'Padding', 'selector' => '.banner-text-2 p'),
									),
									'Button' => array(
										array('property' => 'color', 'label' => 'Color', 'selector' => '.content-button a'),
										array('property' => 'font-size', 'label' => 'Font Size', 'selector' => '.content-button a'),
										array('property' => 'font-weight', 'label' => 'Font Weight', 'selector' => '.content-button a'),
										array('property' => 'font-style', 'label' => 'Font Style', 'selector' => '.content-button a'),
										array('property' => 'font-family', 'label' => 'Font Family', 'selector' => '.content-button a'),
										array('property' => 'text-align', 'label' => 'Text Align', 'selector' => '.content-button'),
										array('property' => 'border', 'label' => 'Border', 'selector' => '.content-button a'),
										array('property' => 'text-shadow', 'label' => 'Text Shadow', 'selector' => '.content-button a'),
										array('property' => 'text-transform', 'label' => 'Text Transform', 'selector' => '.content-button a'),
										array('property' => 'text-decoration', 'label' => 'Text Decoration', 'selector' => '.content-button a'),
										array('property' => 'line-height', 'label' => 'Line Height', 'selector' => '.content-button a'),
										array('property' => 'letter-spacing', 'label' => 'Letter Spacing', 'selector' => '.content-button a'),
										array('property' => 'margin', 'label' => 'Margin', 'selector' => '.content-button'),
										array('property' => 'padding', 'label' => 'Padding', 'selector' => '.content-button a'),
									),
									'Button Hover' => array(
										array('property' => 'color', 'label' => 'Color', 'selector' => '.content-button a:hover'),
										array('property' => 'background-color', 'label' => 'Background', 'selector' => '.content-button a:hover'),
										array('property' => 'font-size', 'label' => 'Font Size', 'selector' => '.content-button a:hover'),
										array('property' => 'font-weight', 'label' => 'Font Weight', 'selector' => '.content-button a:hover'),
										array('property' => 'border', 'label' => 'Border', 'selector' => '.content-button a:hover'),
										array('property' => 'text-shadow', 'label' => 'Text Shadow', 'selector' => '.content-button a:hover'),
										array('property' => 'text-decoration', 'label' => 'Text Decoration', 'selector' => '.content-button a:hover'),
										array('property' => 'letter-spacing', 'label' => 'Letter Spacing', 'selector' => '.content-button a:hover'),
									),
									'Box' => array(
										array('property' => 'color', 'label' => 'Color'),
										array('property' => 'text-align', 'label' => 'Text Align'),
										array('property' => 'margin', 'label' => 'Margin'),
										array('property' => 'padding', 'label' => 'Padding', 'selector' => '.banner-text'),
									),
								),
	                        ),
	                    ),
                    )
				),
			), //end kc_banner
            'kc_blog' => array(
				'name'        => 'Blog Slider',
				'description' => __('Display Blog Slider', 'fluent-addons'),
				'icon'        => 'jms-icon',
				'category'    => 'JMS Addons',
				'css_box'     => true,
				'is_container' => true,
				'params'      => array(
					'general' => array(
						array(
							'name'        => 'title',
							'label'       => __('Title', 'fluent-addons'),
							'type'        => 'text',
							'value'       => 'Latest News',
						),
						array(
							'name'        => 'template',
							'label'       => __('Select Template', 'fluent-addons'),
							'type'        => 'radio_image',
							'options'     => array(
								'1' => FLUENT_ADDONS_URL . 'assets/images/blog/blog-template-01.jpg',
								'2' => FLUENT_ADDONS_URL . 'assets/images/blog/blog-template-02.jpg',
							),
							'value'       => '1',
						),
						array(
							'name'        => 'total_items',
							'label'       => 'Total Items',
							'description' => __( 'Total Items.', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '6'
						),
						array(
							'name'         => 'orderby',
							'label'        => 'Order by',
							'desccription' => '',
							'type'         => 'select',
							'options'       => $order_by_values
						),
						array(
							'name'         => 'order',
							'label'        => 'Order by',
							'desccription' => sprintf( __( 'Designates the ascending or descending order. More at %s.', 'fluent-addons' ), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>' ),
							'type'         => 'select',
							'options'       => $order_way_values
						),
						array(
							'name'        => 'show_excerpt',
							'label'       => 'Show Excerpt',
							'description' => __( 'Show/Hide excerpt', 'fluent-addons' ),
							'type'        => 'toggle',
							'value'       => 'show',
							'relation'    => array(
								'parent'    => 'template',
								'show_when' => '2'
							)
						),
						array(
							'name'        => 'excerpt',
							'label'       => 'Excerpt',
							'description' => __( 'Number of word limit for introtext', 'fluent-addons' ),
							'type'        => 'text',
							'value'       => '20',
							'relation'    => array(
								'parent'    => 'template',
								'show_when' => '2'
							)
						),
						array(
							'name'        => 'show_category',
							'label'       => 'Show Category',
							'description' => __( 'Show/Hide category', 'fluent-addons' ),
							'type'        => 'toggle',
							'value'       => 'no'
						),
						array(
							'name'        => 'show_author',
							'label'       => 'Show Author',
							'description' => __( 'Show/Hide author', 'fluent-addons' ),
							'type'        => 'toggle',
							'value'       => 'no'
						),
						array(
							'name'        => 'show_date',
							'label'       => 'Show Date',
							'description' => __( 'Show/Hide date', 'fluent-addons' ),
							'type'        => 'toggle',
							'value'       => 'yes'
						),
						array(
							'name'        => 'show_comment',
							'label'       => 'Show Comment',
							'description' => __( 'Show/Hide comment', 'fluent-addons' ),
							'type'        => 'toggle',
							'value'       => 'yes'
						),
                        array(
							'name'        => 'extra_class',
							'label'       => __( 'Extra Class', 'fluent-addons' ),
							'type'        => 'text',
						),
					),
					'Slider Settings' => array(
						array(
							'name'        => 'items_show',
							'label'       => 'Items Show',
							'description' => __( 'Number of Items Show ( > 1199px ).', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '3'
						),
						array(
							'name'        => 'items_medium',
							'label'       => 'Items Show On Medium Device.',
							'description' => __( 'Items Show On Medium Device.', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '3'
						),
						array(
							'name'        => 'items_tablet',
							'label'       => 'Items Show On Tablet',
							'description' => __( 'Items Show On Tablet Device.', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '2'
						),
						array(
							'name'        => 'items_mobile',
							'label'       => 'Items Show On Mobile',
							'description' => __( 'Number of Items Show On Mobile( >= 320px ).', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '1'
						),
						array(
							'name'        => 'items_space',
							'label'       => 'Margin-right(px) on item',
							'admin_label' => true,
							'type' => 'number_slider',  // USAGE RADIO TYPE
							'options' => array(    // REQUIRED
								'min' => 30,
								'max' => 60,
								'unit' => '',
								'show_input' => false
							),
							'value'       => '15'
	                    ),
						array(
							'name'        => 'show_navigation',
							'label'       => 'Show Navigation',
							'description' => __( 'Show/Hide navigation', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
								'show' => 'Show',
							),
							'value' => ''
						),
						array(
							'name'        => 'show_pagination',
							'label'       => 'Show Pagination',
							'description' => __( 'Show/Hide pagination', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
								'show' => 'Show',
							),
							'value' => 'show'
						),
						array(
							'name'        => 'autoplay',
							'label'       => 'Auto Play',
							'description' => __( 'Enable/Disable Auto Play', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
								'yes' => 'Yes',
							),
							'value' => 'yes'
						),
						array(
							'name'        => 'autoplaytimeout',
							'label'       => 'Auto Play Timeout',
							'description' => __( 'Set Auto Play Timeout. Ex: 1000(ms) = 1s.', 'fluent-addons' ),
							'type'        => 'text',
							'value' => '5000'
						),
						array(
							'name'        => 'loop',
							'label'       => 'Loop',
							'description' => __( 'Enable/Disable Loop', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
								'yes' => 'Yes',
							),
							'value' => ''
						),
					),
					'Styling' => array(
						//1st field
						array(
							'name' => 'my-css',
							'label' => 'Field Label',
							'type' => 'css',
							'options' => array(
								array(
									'screens' => 'any,1024,999,767,479',
									'Excerpt' => array(
										array('property' => 'color', 'label' => 'Color', 'selector' => '.post-excerpt' ),
										array('property' => 'font-size', 'label' => 'Font Size', 'selector' => '.post-excerpt' ),
										array('property' => 'font-weight', 'label' => 'Font Weight', 'selector' => '.post-excerpt' ),
										array('property' => 'font-style', 'label' => 'Font Style', 'selector' => '.post-excerpt' ),
										array('property' => 'font-family', 'label' => 'Font Family', 'selector' => '.post-excerpt' ),
										array('property' => 'text-align', 'label' => 'Text Align', 'selector' => '.post-excerpt' ),
										array('property' => 'text-transform', 'label' => 'Text Transform', 'selector' => '.post-excerpt' ),
										array('property' => 'text-decoration', 'label' => 'Text Decoration', 'selector' => '.post-excerpt' ),
										array('property' => 'line-height', 'label' => 'Line Height', 'selector' => '.post-excerpt' ),
										array('property' => 'letter-spacing', 'label' => 'Letter Spacing', 'selector' => '.post-excerpt' ),
									),
									'Title' => array(
										array('property' => 'color', 'label' => 'Color', 'selector' => 'h2.post-title a'),
										array('property' => 'font-size', 'label' => 'Font Size', 'selector' => 'h2.post-title'),
										array('property' => 'font-weight', 'label' => 'Font Weight', 'selector' => 'h2.post-title'),
										array('property' => 'font-style', 'label' => 'Font Style', 'selector' => 'h2.post-title'),
										array('property' => 'font-family', 'label' => 'Font Family', 'selector' => 'h2.post-title'),
										array('property' => 'text-align', 'label' => 'Text Align', 'selector' => 'h2.post-title'),
										array('property' => 'text-transform', 'label' => 'Text Transform', 'selector' => 'h2.post-title'),
										array('property' => 'text-decoration', 'label' => 'Text Decoration', 'selector' => 'h2.post-title'),
										array('property' => 'line-height', 'label' => 'Line Height', 'selector' => 'h2.post-title'),
										array('property' => 'letter-spacing', 'label' => 'Letter Spacing', 'selector' => 'h2.post-title'),

										array('property' => 'margin', 'label' => 'Margin', 'selector' => 'h2.post-title'),
										array('property' => 'padding', 'label' => 'Padding', 'selector' => 'h2.post-title'),
										array('property' => 'width', 'label' => 'Width', 'selector' => 'h2.post-title'),
										array('property' => 'height', 'label' => 'Height', 'selector' => 'h2.post-title'),
									),
									'Meta' => array(
										array('property' => 'margin', 'label' => 'Margin', 'selector' => '.post-meta'),
										array('property' => 'padding', 'label' => 'Padding', 'selector' => '.post-meta'),
									),
									'Box' => array(
										array('property' => 'margin', 'label' => 'Margin'),
										array('property' => 'padding', 'label' => 'Padding'),
										array('property' => 'border', 'label' => 'Border'),
										array('property' => 'width', 'label' => 'Width'),
										array('property' => 'height', 'label' => 'Height'),
										array('property' => 'border-radius', 'label' => 'Border Radius'),
										array('property' => 'float', 'label' => 'Float'),
										array('property' => 'display', 'label' => 'Display'),
										array('property' => 'box-shadow', 'label' => 'Box Shadow'),
										array('property' => 'opacity', 'label' => 'Opacity'),
									),
								),
							),
						),
					)
				)
			),
			// End of elemnt kc_blog
            'kc_brand' => array(
				'name'        => 'Brand Slider',
				'description' => __('Display Brand Slider', 'fluent-addons'),
				'icon'        => 'jms-icon',
				'category'    => 'JMS Addons',
				'css_box'     => true,
				'is_container' => true,
				'params'      => array(
					'general' => array(
						array(
							'name'        => 'brand_image',
							'label'       => __( 'Images', 'fluent-addons' ),
							'description' => __( 'Upload multiple image for carousel', 'fluent-addons' ),
							'type'        => 'attach_images',
						),
                        array(
							'name'        => 'extra_class',
							'label'       => __( 'Extra Class', 'fluent-addons' ),
							'type'        => 'text',
						),
                    ),
					'Slider Settings' => array(
                    	array(
							'name'        => 'items_show',
							'label'       => 'Items Show',
							'description' => __( 'Number of Items Show ( > 1199px ).', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '6'
	                    ),
	                    array(
							'name'        => 'items_medium',
							'label'       => 'Items Show On Medium Device.',
							'description' => __( 'Items Show On Medium Device.', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '5'
	                    ),
	                    array(
							'name'        => 'items_tablet',
							'label'       => 'Items Show On Tablet',
							'description' => __( 'Items Show On Tablet Device.', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '4'
	                    ),
	                    array(
							'name'        => 'items_mobile',
							'label'       => 'Items Show On Mobile',
							'description' => __( 'Number of Items Show On Mobile( >= 320px ).', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '3'
	                    ),
	                    array(
							'name'        => 'show_navigation',
							'label'       => 'Show Navigation',
							'description' => __( 'Show/Hide navigation', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
	                            'show' => 'Show',
	                        ),
	                        'value' => ''
	                    ),
	                    array(
							'name'        => 'show_pagination',
							'label'       => 'Show Pagination',
							'description' => __( 'Show/Hide pagination', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
	                            'show' => 'Show',
	                        ),
	                        'value' => 'show'
	                    ),
	                    array(
							'name'        => 'autoplay',
							'label'       => 'Auto Play',
							'description' => __( 'Enable/Disable Auto Play', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
	                            'yes' => 'Yes',
	                        ),
	                        'value' => 'yes'
	                    ),
	                    array(
							'name'        => 'autoplaytimeout',
							'label'       => 'Auto Play Timeout',
							'description' => __( 'Set Auto Play Timeout. Ex: 1000(ms) = 1s.', 'fluent-addons' ),
							'type'        => 'text',
	                        'value' => '5000'
	                    ),
	                    array(
							'name'        => 'loop',
							'label'       => 'Loop',
							'description' => __( 'Enable/Disable Loop', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
	                            'yes' => 'Yes',
	                        ),
	                        'value' => ''
	                    ),
                    ),
					'Styling' => array(
						//1st field
						array(
							'name' => 'my-css',
							'label' => 'Field Label',
							'type' => 'css',
							'options' => array(
								array(
									'screens' => 'any,1024,999,767,479',
									'Box' => array(
										array('property' => 'margin', 'label' => 'Margin'),
										array('property' => 'padding', 'label' => 'Padding'),
										array('property' => 'border', 'label' => 'Border'),
										array('property' => 'width', 'label' => 'Width'),
										array('property' => 'height', 'label' => 'Height'),
										array('property' => 'border-radius', 'label' => 'Border Radius'),
										array('property' => 'float', 'label' => 'Float'),
										array('property' => 'display', 'label' => 'Display'),
										array('property' => 'box-shadow', 'label' => 'Box Shadow'),
										array('property' => 'opacity', 'label' => 'Opacity'),
									),
								),
							),
						),
					)
				)
			),
			// End of elemnt kc_brand
            'kc_product_tab' => array(
				'name' => 'Product Tab Slider',
				'description'  => __( 'Display product tab carousel slider', 'fluent-addons' ),
				'icon'         => 'jms-icon',
				'category'     => 'JMS Addons',
				'css_box'      => true,
				'is_container' => true,
				'params'       => array(
					'general' => array(
						array(
							'name'        => 'total_items',
							'label'       => __( 'Total items', 'fluent-addons' ),
							'description' => __( 'Total items', 'fluent-addons' ),
							'type'        => 'text',
							'value'       => '12'
						),
						array(
							'name'        => 'number_of_rows',
							'label'       => 'Number of rows',
							'description' => __( 'Number of rows.', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '1'
	                    ),
	                    array(
							'name'         => 'orderby',
							'label'        => __( 'Order by', 'fluent-addons' ),
							'type'         => 'select',
							'options'       => $order_by_values
	                    ),
	                    array(
							'name'         => 'order',
							'label'        => __( 'Order', 'fluent-addons' ),
							'desccription' => sprintf( __( 'Designates the ascending or descending order. More at %s.', 'fluent-addons' ), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>' ),
							'type'         => 'select',
							'options'       => $order_way_values
	                    ),
                        array(
							'name'        => 'extra_class',
							'label'       => __( 'Extra Class', 'fluent-addons' ),
							'type'        => 'text',
						),
					),
					'Slider Settings' => array(
                    	array(
							'name'        => 'items_show',
							'label'       => 'Items Show',
							'description' => __( 'Number of Items Show ( > 1199px ).', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '4'
	                    ),
	                    array(
							'name'        => 'items_medium',
							'label'       => 'Items Show On Medium Device.',
							'description' => __( 'Items Show On Medium Device (>= 991px)', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '3'
	                    ),
	                    array(
							'name'        => 'items_tablet',
							'label'       => 'Items Show On Tablet',
							'description' => __( 'Items Show On Tablet Device (>= 768px)', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '2'
	                    ),
	                    array(
							'name'        => 'items_mobile',
							'label'       => 'Items Show On Mobile',
							'description' => __( 'Number of Items Show On Mobile( >= 320px ).', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '2'
	                    ),
						array(
							'name'        => 'items_space',
							'label'       => 'Margin-right(px) on item',
							'admin_label' => true,
							'type' => 'number_slider',  // USAGE RADIO TYPE
							'options' => array(    // REQUIRED
								'min' => 30,
								'max' => 60,
								'unit' => '',
								'show_input' => false
							),
							'value'       => '30'
	                    ),
	                    array(
							'name'        => 'show_navigation',
							'label'       => 'Show Navigation',
							'description' => __( 'Show/Hide navigation', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
	                            'show' => 'Show',
	                        ),
	                        'value' => 'show'
	                    ),
	                    array(
							'name'        => 'show_pagination',
							'label'       => 'Show Pagination',
							'description' => __( 'Show/Hide pagination', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
	                            'show' => 'Show',
	                        ),
	                        'value' => ''
	                    ),
	                    array(
							'name'        => 'autoplay',
							'label'       => 'Auto Play',
							'description' => __( 'Enable/Disable Auto Play', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
	                            'yes' => 'Yes',
	                        ),
	                        'value' => ''
	                    ),
	                    array(
							'name'        => 'autoplaytimeout',
							'label'       => 'Auto Play Timeout',
							'description' => __( 'Set Auto Play Timeout. Ex: 1000(ms) = 1s.', 'fluent-addons' ),
							'type'        => 'text',
	                        'value' => '5000'
	                    ),
	                    array(
							'name'        => 'loop',
							'label'       => 'Loop',
							'description' => __( 'Enable/Disable Loop', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
	                            'yes' => 'Yes',
	                        ),
	                        'value' => ''
	                    ),
                    ),
					'Styling' => array(
	                    array(
							'name'    => 'my-css',
							'label'   => 'Field Label',
							'type'    => 'css',
							'options' => array(
	                        	array(
									'screens' => 'any,1024,999,767,479',
									'Box' => array(
										array('property' => 'margin', 'label' => 'Margin'),
										array('property' => 'padding', 'label' => 'Padding'),
									),
								),
	                        ),
	                    ),
                    )
				),
			),
            //end product tab
            'kc_product' => array(
				'name'         => 'Product Slider',
				'description'  => __( 'Display product carousel slider', 'fluent-addons' ),
				'icon'         => 'jms-icon',
				'category'     => 'JMS Addons',
				'css_box'      => true,
				'is_container' => true,
				'params'       => array(
					'general' => array(
						array(
							'name'        => 'title',
							'label'       => __('Title', 'fluent-addons'),
							'type'        => 'text',
							'value'       => '',
						),
						array(
							'name'        => 'total_items',
							'label'       => __( 'Total items', 'fluent-addons' ),
							'description' => __( 'Total items', 'fluent-addons' ),
							'type'        => 'text',
							'value'       => '12'
						),
						array(
							'name'        => 'number_of_rows',
							'label'       => 'Number of rows',
							'description' => __( 'Number of rows.', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '1'
	                    ),
	                    array(
							'name'         => 'product_type',
							'label'        => __( 'Product Type', 'fluent-addons' ),
							'type'         => 'select',
							'options'       => $product_type
	                    ),
	                    array(
							'name'         => 'orderby',
							'label'        => __( 'Order by', 'fluent-addons' ),
							'type'         => 'select',
							'options'       => $order_by_values
	                    ),
	                    array(
							'name'         => 'order',
							'label'        => __( 'Order', 'fluent-addons' ),
							'desccription' => sprintf( __( 'Designates the ascending or descending order. More at %s.', 'fluent-addons' ), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>' ),
							'type'         => 'select',
							'options'       => $order_way_values
	                    ),
                        array(
							'name'        => 'extra_class',
							'label'       => __( 'Extra Class', 'fluent-addons' ),
							'type'        => 'text',
						),
					),
					'Slider Settings' => array(
                    	array(
							'name'        => 'items_show',
							'label'       => 'Items Show',
							'description' => __( 'Number of Items Show ( > 1199px ).', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '4'
	                    ),
	                    array(
							'name'        => 'items_medium',
							'label'       => 'Items Show On Medium Device.',
							'description' => __( 'Items Show On Medium Device (>= 991px)', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '3'
	                    ),
	                    array(
							'name'        => 'items_tablet',
							'label'       => 'Items Show On Tablet',
							'description' => __( 'Items Show On Tablet Device (>= 768px)', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '2'
	                    ),
	                    array(
							'name'        => 'items_mobile',
							'label'       => 'Items Show On Mobile',
							'description' => __( 'Number of Items Show On Mobile( >= 480px ).', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '2'
	                    ),
						array(
							'name'        => 'items_space',
							'label'       => 'Margin-right(px) on item',
							'admin_label' => true,
							'type' => 'number_slider',  // USAGE RADIO TYPE
							'options' => array(    // REQUIRED
								'min' => 30,
								'max' => 60,
								'unit' => '',
								'show_input' => false
							),
							'value'       => '30'
	                    ),
	                    array(
							'name'        => 'show_navigation',
							'label'       => 'Show Navigation',
							'description' => __( 'Show/Hide navigation', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
	                            'show' => 'Show',
	                        ),
	                        'value' => 'show'
	                    ),
	                    array(
							'name'        => 'show_pagination',
							'label'       => 'Show Pagination',
							'description' => __( 'Show/Hide pagination', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
	                            'show' => 'Show',
	                        ),
	                        'value' => ''
	                    ),
	                    array(
							'name'        => 'autoplay',
							'label'       => 'Auto Play',
							'description' => __( 'Enable/Disable Auto Play', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
	                            'yes' => 'Yes',
	                        ),
	                        'value' => ''
	                    ),
	                    array(
							'name'        => 'autoplaytimeout',
							'label'       => 'Auto Play Timeout',
							'description' => __( 'Set Auto Play Timeout. Ex: 1000(ms) = 1s.', 'fluent-addons' ),
							'type'        => 'text',
	                        'value' => '5000'
	                    ),
	                    array(
							'name'        => 'loop',
							'label'       => 'Loop',
							'description' => __( 'Enable/Disable Loop', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
	                            'yes' => 'Yes',
	                        ),
	                        'value' => ''
	                    ),
                    ),
					'Styling' => array(
	                    array(
							'name'    => 'my-css',
							'label'   => 'Field Label',
							'type'    => 'css',
							'options' => array(
	                        	array(
									'screens' => 'any,1024,999,767,479',
									'Box' => array(
										array('property' => 'margin', 'label' => 'Margin'),
										array('property' => 'padding', 'label' => 'Padding'),
									),
								),
	                        ),
	                    ),
                    )
				)
			),
			//end kc_product
			'kc_product_list' => array(
				'name'         => 'Product List',
				'description'  => __( 'Display product list', 'fluent-addons' ),
				'icon'         => 'jms-icon',
				'category'     => 'JMS Addons',
				'css_box'      => true,
				'is_container' => true,
				'params'       => array(
					'general' => array(
						array(
							'name'        => 'total_items',
							'label'       => __( 'Total items', 'fluent-addons' ),
							'description' => __( 'Total items', 'fluent-addons' ),
							'type'        => 'text',
							'value'       => '12'
						),
						array(
							'name'        => 'productbox_style',
							'label'       => __( 'Product Style', 'fluent-addons' ),
							'type'        => 'radio_image',
							'options'     => array(
								'1' => FLUENT_ADDONS_URL . 'assets/images/product/product-box-1.jpg',
								'2' => FLUENT_ADDONS_URL . 'assets/images/product/product-box-2.jpg',
							),
							'value'       => '1',
						),
						array(
							'name'        => 'number_of_columns',
							'label'       => 'Number of columns',
							'description' => __( 'Number of cols', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'select',
							'options'      => array(
								'2' => __( '2 Columns', 'fluent' ),
			                    '3' => __( '3 Columns', 'fluent' ),
			                    '4' => __( '4 Columns', 'fluent' ),
								'5' => __( '5 Columns', 'fluent' ),
								'6' => __( '6 Columns', 'fluent' )
							),
							'value'       => '4'
	                    ),
						array(
							'name'        => 'columns_gap',
							'label'       => 'Columns Gap',
							'description' => __( 'The distance between the columns', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'number_slider',
							'options'     => array(
								'min' 		 => 30,
								'max'        => 60,
								'unit'       => '',
								'show_input' => false
							),
							'value'       => '30'
	                    ),
	                    array(
							'name'         => 'product_type',
							'label'        => __( 'Product Type', 'fluent-addons' ),
							'type'         => 'select',
							'options'       => $product_type
	                    ),
	                    array(
							'name'         => 'orderby',
							'label'        => __( 'Order by', 'fluent-addons' ),
							'type'         => 'select',
							'options'       => $order_by_values
	                    ),
	                    array(
							'name'         => 'order',
							'label'        => __( 'Order', 'fluent-addons' ),
							'desccription' => sprintf( __( 'Designates the ascending or descending order. More at %s.', 'fluent-addons' ), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>' ),
							'type'         => 'select',
							'options'       => $order_way_values
	                    ),
                        array(
							'name'        => 'extra_class',
							'label'       => __( 'Extra Class', 'fluent-addons' ),
							'type'        => 'text',
						),
					),
					'Styling' => array(
	                    array(
							'name'    => 'my-css',
							'label'   => 'Field Label',
							'type'    => 'css',
							'options' => array(
	                        	array(
									'screens' => 'any,1024,999,767,479',
									'Box' => array(
										array('property' => 'margin', 'label' => 'Margin'),
										array('property' => 'padding', 'label' => 'Padding'),
									),
								),
	                        ),
	                    ),
                    )
				)
			),
			'kc_portfolio_list' => array(
				'name'         => 'Portfolio List',
				'description'  => __( 'Display portfolio list', 'fluent-addons' ),
				'icon'         => 'jms-icon',
				'category'     => 'JMS Addons',
				'css_box'      => true,
				'is_container' => true,
				'params'       => array(
					'general' => array(
						array(
							'name'        => 'total_items',
							'label'       => __( 'Total items', 'fluent-addons' ),
							'description' => __( 'Total items', 'fluent-addons' ),
							'type'        => 'text',
							'value'       => '8'
						),
						array(
							'name'        => 'number_of_columns',
							'label'       => 'Number of columns',
							'description' => __( 'Number of cols', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'select',
							'options'      => array(
								'2' => __( '2 Columns', 'fluent' ),
			                    '3' => __( '3 Columns', 'fluent' ),
			                    '4' => __( '4 Columns', 'fluent' )
							),
							'value'       => '4'
	                    ),
	                    array(
							'name'         => 'orderby',
							'label'        => __( 'Order by', 'fluent-addons' ),
							'type'         => 'select',
							'options'       => $order_by_values
	                    ),
	                    array(
							'name'         => 'order',
							'label'        => __( 'Order', 'fluent-addons' ),
							'desccription' => sprintf( __( 'Designates the ascending or descending order. More at %s.', 'fluent-addons' ), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>' ),
							'type'         => 'select',
							'options'       => $order_way_values
	                    ),
                        array(
							'name'        => 'extra_class',
							'label'       => __( 'Extra Class', 'fluent-addons' ),
							'type'        => 'text',
						),
					),
					'Styling' => array(
	                    array(
							'name'    => 'my-css',
							'label'   => 'Field Label',
							'type'    => 'css',
							'options' => array(
	                        	array(
									'screens' => 'any,1024,999,767,479',
									'Box' => array(
										array('property' => 'margin', 'label' => 'Margin'),
										array('property' => 'padding', 'label' => 'Padding'),
									),
								),
	                        ),
	                    ),
                    )
				)
			),
			//end kc_product_list
            'kc_sliderlayer' => array(
				'name'        => 'JMS - Slider Layer',
				'description' => __('Display Slider Layer', 'fluent-addons'),
				'icon'        => 'jms-icon',
				'category'    => 'JMS Addons',
				'css_box'     => true,
				'is_container' => true,
				'params'      => array(
                    'general' => array(
	                    array(
							'name'        => 'id_slider',
							'label'       => __( 'Select Slider', 'fluent-addons' ),
							'description' => __( 'Select Slider to show.', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'select',
							'options'     => getSliders()
	                    ),
                        array(
							'name'        => 'extra_class',
							'label'       => __( 'Extra Class', 'fluent-addons' ),
							'type'        => 'text',
						),
                    ),
                )
            ),
			// End of elemnt kc_sliderlayer
            'kc_testimonialslider' => array(
				'name'        => 'Testimonials Slider',
				'description' => __('Display Testimonial Slider', 'fluent-addons'),
				'icon'        => 'jms-icon',
				'category'    => 'JMS Addons',
				'css_box'     => true,
				'is_container' => true,
				'params'      => array(
					'general' => array(
						array(
							'name'        => 'title',
							'label'       => 'Title',
							'admin_label' => true,
							'type'        => 'text',
							'value'       => ''
						),
						array(
							'name'        => 'template',
							'label'       => __('Select Template', 'fluent-addons'),
							'type'        => 'select',
							'options'      => array(
                        		'1' => __( 'Style 1', 'fluent-addons' ),
                        		'2' => __( 'Style 2', 'fluent-addons' ),
                        	),
							'value'       => '1',
						),
						array(
							'name'        => 'total_items',
							'label'       => 'Total Items',
							'description' => __( 'Total Items.', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '5'
						),
						array(
							'name'         => 'orderby',
							'label'        => 'Order by',
							'type'         => 'select',
							'options'      => array(
                        		'date'  => __( 'Date', 'fluent-addons' ),
                        		'ID'    => __( 'ID', 'fluent-addons' ),
                        		'title' => __( 'Title', 'fluent-addons' ),
                        		'rand'  => __( 'Random', 'fluent-addons' ),
                        	)
						),
						array(
							'name'         => 'order',
							'label'        => 'Order by',
							'desccription' => sprintf( __( 'Designates the ascending or descending order. More at %s.', 'fluent-addons' ), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>' ),
							'type'         => 'select',
							'options'       => array(
                        		'DESC' => __( 'Descending', 'fluent-addons' ),
                        		'ASC'  => __( 'Ascending', 'fluent-addons' )
                        	)
						),
						array(
							'name'        => 'show_image',
							'label'       => 'Show Image',
							'description' => __( 'Show/Hide author image', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
								'show' => 'Show',
							),
							'value' => 'show'
						),
						array(
							'name'        => 'show_office',
							'label'       => 'Show Office',
							'description' => __( 'Show/Hide office', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
								'show' => 'Show',
							),
							'value' => 'show'
						),
                        array(
							'name'        => 'extra_class',
							'label'       => __( 'Extra Class', 'fluent-addons' ),
							'type'        => 'text',
						),
					),
					'Slider Settings' => array(
						array(
							'name'        => 'items_show',
							'label'       => 'Items Show',
							'description' => __( 'Number of Items Show ( > 1199px ).', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '1'
						),
						array(
							'name'        => 'items_medium',
							'label'       => 'Items Show On Medium Device.',
							'description' => __( 'Items Show On Medium Device.', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '1'
						),
						array(
							'name'        => 'items_tablet',
							'label'       => 'Items Show On Tablet',
							'description' => __( 'Items Show On Tablet Device.', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '1'
						),
						array(
							'name'        => 'items_mobile',
							'label'       => 'Items Show On Mobile',
							'description' => __( 'Number of Items Show On Mobile( >= 320px ).', 'fluent-addons' ),
							'admin_label' => true,
							'type'        => 'text',
							'value'       => '1'
						),
						array(
							'name'        => 'items_space',
							'label'       => 'Margin-right(px) on item',
							'admin_label' => true,
							'type' => 'number_slider',
							'options' => array(
								'min' => 30,
								'max' => 60,
								'unit' => '',
								'show_input' => false
							),
							'value'       => '30'
	                    ),
						array(
							'name'        => 'show_navigation',
							'label'       => 'Show Navigation',
							'description' => __( 'Show/Hide navigation', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
								'show' => 'Show',
							),
							'value' => ''
						),
						array(
							'name'        => 'show_pagination',
							'label'       => 'Show Pagination',
							'description' => __( 'Show/Hide pagination', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
								'show' => 'Show',
							),
							'value' => 'show'
						),
						array(
							'name'        => 'autoplay',
							'label'       => 'Auto Play',
							'description' => __( 'Enable/Disable Auto Play', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
								'yes' => 'Yes',
							),
							'value' => 'yes'
						),
						array(
							'name'        => 'autoplaytimeout',
							'label'       => 'Auto Play Timeout',
							'description' => __( 'Set Auto Play Timeout. Ex: 1000(ms) = 1s.', 'fluent-addons' ),
							'type'        => 'text',
							'value' => '5000'
						),
						array(
							'name'        => 'loop',
							'label'       => 'Loop',
							'description' => __( 'Enable/Disable Loop', 'fluent-addons' ),
							'type'        => 'checkbox',
							'options'     => array(
								'yes' => 'Yes',
							),
							'value' => ''
						),
					),
					'Styling' => array(
						//1st field
						array(
							'name' => 'my-css',
							'label' => 'Field Label',
							'type' => 'css',
							'options' => array(
								array(
									'screens' => 'any,1024,999,767,479',
									'Image' => array(
										array('property' => 'margin', 'label' => 'Margin', 'selector' => '.image'),
										array('property' => 'padding', 'label' => 'Padding', 'selector' => '.image'),
										array('property' => 'border', 'label' => 'Border', 'selector' => '.image'),
										array('property' => 'width', 'label' => 'Width', 'selector' => '.image'),
										array('property' => 'height', 'label' => 'Height', 'selector' => '.image'),
										array('property' => 'box-shadow', 'label' => 'Box Shadow', 'selector' => '.image'),
										array('property' => 'opacity', 'label' => 'Opacity', 'selector' => '.image'),
									),
									'Comment' => array(
										array('property' => 'color', 'label' => 'Color', 'selector' => '.comment'),
										array('property' => 'font-size', 'label' => 'Font Size', 'selector' => '.comment'),
										array('property' => 'font-weight', 'label' => 'Font Weight', 'selector' => '.comment'),
										array('property' => 'font-style', 'label' => 'Font Style', 'selector' => '.comment'),
										array('property' => 'font-family', 'label' => 'Font Family', 'selector' => '.comment'),
										array('property' => 'text-align', 'label' => 'Text Align', 'selector' => '.comment'),
										array('property' => 'text-transform', 'label' => 'Text Transform', 'selector' => '.comment'),
										array('property' => 'text-decoration', 'label' => 'Text Decoration', 'selector' => '.comment'),
										array('property' => 'line-height', 'label' => 'Line Height', 'selector' => '.comment'),
										array('property' => 'letter-spacing', 'label' => 'Letter Spacing', 'selector' => '.comment'),
										array('property' => 'margin', 'label' => 'Margin', 'selector' => '.comment'),
										array('property' => 'padding', 'label' => 'Padding', 'selector' => '.comment'),
										array('property' => 'width', 'label' => 'Width', 'selector' => '.comment'),
										array('property' => 'height', 'label' => 'Height', 'selector' => '.comment'),
									),
									'Author' => array(
										array('property' => 'color', 'label' => 'Color', 'selector' => '.author'),
										array('property' => 'font-size', 'label' => 'Font Size', 'selector' => '.author'),
										array('property' => 'font-weight', 'label' => 'Font Weight', 'selector' => '.author'),
										array('property' => 'font-style', 'label' => 'Font Style', 'selector' => '.author'),
										array('property' => 'font-family', 'label' => 'Font Family', 'selector' => '.author'),
										array('property' => 'text-align', 'label' => 'Text Align', 'selector' => '.author'),
										array('property' => 'text-transform', 'label' => 'Text Transform', 'selector' => '.author'),
										array('property' => 'text-decoration', 'label' => 'Text Decoration', 'selector' => '.author'),
										array('property' => 'line-height', 'label' => 'Line Height', 'selector' => '.author'),
										array('property' => 'letter-spacing', 'label' => 'Letter Spacing', 'selector' => '.author'),
										array('property' => 'margin', 'label' => 'Margin', 'selector' => '.author'),
										array('property' => 'padding', 'label' => 'Padding', 'selector' => '.author'),
										array('property' => 'width', 'label' => 'Width', 'selector' => '.author'),
										array('property' => 'height', 'label' => 'Height', 'selector' => '.author'),
									),
									'Office' => array(
										array('property' => 'color', 'label' => 'Color', 'selector' => '.office'),
										array('property' => 'font-size', 'label' => 'Font Size', 'selector' => '.office'),
										array('property' => 'font-weight', 'label' => 'Font Weight', 'selector' => '.office'),
										array('property' => 'font-style', 'label' => 'Font Style', 'selector' => '.office'),
										array('property' => 'font-family', 'label' => 'Font Family', 'selector' => '.office'),
										array('property' => 'text-align', 'label' => 'Text Align', 'selector' => '.office'),
										array('property' => 'text-transform', 'label' => 'Text Transform', 'selector' => '.office'),
										array('property' => 'text-decoration', 'label' => 'Text Decoration', 'selector' => '.office'),
										array('property' => 'line-height', 'label' => 'Line Height', 'selector' => '.office'),
										array('property' => 'letter-spacing', 'label' => 'Letter Spacing', 'selector' => '.office'),
										array('property' => 'margin', 'label' => 'Margin', 'selector' => '.office'),
										array('property' => 'padding', 'label' => 'Padding', 'selector' => '.office'),
										array('property' => 'width', 'label' => 'Width', 'selector' => '.office'),
										array('property' => 'height', 'label' => 'Height', 'selector' => '.office'),
									),
									'Box' => array(
										array('property' => 'background', 'label' => 'Background'),
										array('property' => 'text-align', 'label' => 'Text Align'),
										array('property' => 'margin', 'label' => 'Margin'),
										array('property' => 'padding', 'label' => 'Padding'),
										array('property' => 'border', 'label' => 'Border'),
										array('property' => 'width', 'label' => 'Width'),
										array('property' => 'height', 'label' => 'Height'),
										array('property' => 'border-radius', 'label' => 'Border Radius'),
										array('property' => 'float', 'label' => 'Float'),
										array('property' => 'display', 'label' => 'Display'),
										array('property' => 'box-shadow', 'label' => 'Box Shadow'),
										array('property' => 'opacity', 'label' => 'Opacity'),
									),
								),
							),
						),
					)
				)
			),
			// End of elemnt kc_testimonial
		)
	);

	$kc->update_map(
		'kc_instagram_feed',
		'params',
		array(
			'general' => array(
				2 => array(
					'name'        => 'columns_style',
					'label'       => __('Number of Columns', 'KingComposer'),
					'type'        => 'select',
					'admin_label' => true,
					'options'      => array(
						'1' => __('1 Columns', 'fluent-addons'),
						'2' => __('2 Columns', 'fluent-addons'),
						'3' => __('3 Columns', 'fluent-addons'),
						'4' => __('4 Columns', 'fluent-addons'),
						'5' => __('5 Columns', 'fluent-addons'),
						'6' => __('6 Columns', 'fluent-addons'),
						'7' => __('7 Columns', 'fluent-addons')
					),
					'description' => __('Set the photo columns.', 'fluent-addons')
				)
			)
		)
	);

}
add_action('init', 'kc_addons_init', 99 );
