<?php
if ( !class_exists( 'WooCommerce' ) ) return;

$rd_number = rand();
$el_class = apply_filters( 'kc-el-class', $atts );

extract( $atts );

if ( !empty($extra_class) ) {
    $el_class[] = $extra_class;
}

// Global Query
$args = array(
    'post_type'				=> 'product',
    'post_status'			=> 'publish',
    'ignore_sticky_posts'	=> 1,
    'posts_per_page' 		=> $total_items,
);
$args['meta_query'] = WC()->query->get_meta_query();
$tax_query   		= WC()->query->get_tax_query();

//recent products
$recent_args = $args;
$recent_args['orderby'] = $orderby;
$recent_args['order'] = $order;
$recent_args['tax_query'] = $tax_query;

$recent_products = new WP_Query( apply_filters( 'woocommerce_shortcode_products_query', $recent_args, $atts ) );

//featured products
$f_tax_query[] = array(
    'taxonomy' => 'product_visibility',
    'field'    => 'name',
    'terms'    => 'featured',
    'operator' => 'IN',
);

$featured_args				= $args;
$featured_args['orderby'] 	= $orderby;
$featured_args['order'] 	= $order;
$featured_args['tax_query']	= $f_tax_query;

$featured_products = new WP_Query( apply_filters( 'woocommerce_shortcode_products_query', $featured_args, $atts ) );

//best selling
$best_selling_args				= $args;
$best_selling_args['meta_key'] 	= 'total_sales';
$best_selling_args['orderby'] 	= 'meta_value_num';
$best_selling_args['tax_query']	= $tax_query;

$best_selling_products = new WP_Query( apply_filters( 'woocommerce_shortcode_products_query', $best_selling_args, $atts ) );

//sale products
$product_ids_on_sale = wc_get_product_ids_on_sale();
$sale_args				= $args;
$sale_args['orderby'] 	= $orderby;
$sale_args['order'] 	= $order;
$sale_args['tax_query']	= $tax_query;
$sale_args['post__in'] 	= array_merge( array( 0 ), $product_ids_on_sale );

$sale_products = new WP_Query( apply_filters( 'woocommerce_shortcode_products_query', $sale_args, $atts ) );

?>

<div id="jmsproducttab-box" class="<?php echo implode(' ', $el_class) ?>">
    <div class="nav-wrap">
        <?php $t = 0;?>
        <ul class="nav nav-tabs">
            <?php if ( $recent_products->have_posts() ) :?>
                <li <?php echo  $t == 0 ? 'class="active"': '' ?>>
                    <a href="#tab-new" data-toggle="tab"><?php _e( 'New Arrivals', 'fluent-addons' ); ?></a>
                </li>
                <?php $t++;
            endif;
            if ( $featured_products->have_posts() ) :?>
                <li <?php echo  $t == 0 ? 'class="active"': '' ?>>
                    <a href="#tab-featured" data-toggle="tab"><?php _e( 'Featured', 'fluent-addons' ); ?></a>
                </li><?php $t++;
            endif;
            if ( $best_selling_products->have_posts() ) :?>
                <li <?php echo  $t == 0 ? 'class="active"': '' ?>>
                    <a href="#tab-bestseller" data-toggle="tab"><?php _e( 'Best Selling','fluent-addons' );?></a>
                </li><?php $t++;
            endif;

            if ( $sale_products->have_posts() ) :?>
                <li <?php echo  $t == 0 ? 'class="active"': '' ?>>
                    <a href="#tab-onsale" data-toggle="tab"><?php _e( 'On Sales','fluent-addons' );?></a>
                </li><?php $t++;
            endif;
            ?>
        </ul>
    </div>

    <div class="tab-content">
        <?php $p = 0;
        if ( $recent_products->have_posts() ) :?>
            <div class="tab-pane fade<?php echo  $p == 0 ? ' in active': '' ?>" id="tab-new">
                <div class="owl-carousel owl-theme producttab-carousel">
                    <?php $row = 1; ?>
                    <?php while ( $recent_products->have_posts() ) : $recent_products->the_post(); ?>
                        <?php if( $row == 1 ) : ?>
                            <div class="item-wrap">
                        <?php endif; ?>
                                <?php wc_get_template_part( 'content', 'product' ); ?>
                        <?php if( $row == (int) $atts['number_of_rows'] || $recent_products->current_post+1 == $recent_products->post_count) { $row = 0; ?>
                            </div>
                        <?php } $row++;?>
                    <?php endwhile; // end of the loop.
                    wp_reset_postdata(); ?>
                </div>
            </div>
            <?php $p++; ?>
        <?php endif;
        if ( $featured_products->have_posts() ) :?>
            <div class="tab-pane fade<?php echo  $p == 0 ? ' in active': '' ?>" id="tab-featured">
                <div class="owl-carousel owl-theme producttab-carousel">
                    <?php $row = 1; ?>
                    <?php while ( $featured_products->have_posts() ) : $featured_products->the_post(); ?>
                        <?php if( $row == 1 ){?>
                            <div class="item-wrap">
                        <?php }?>
                                <?php wc_get_template_part( 'content', 'product' ); ?>
                        <?php if($row == (int) $atts['number_of_rows'] || $featured_products->current_post+1 == $featured_products->post_count) { $row=0; ?>
                            </div>
                        <?php } $row++;?>
                    <?php endwhile; // end of the loop.
                    wp_reset_postdata(); ?>
                </div>
            </div>
            <?php $p++; ?>
        <?php endif;
        if ( $best_selling_products->have_posts() ) :?>
            <div class="tab-pane fade<?php echo  $p == 0 ? ' in active': '' ?>" id="tab-bestseller">
                <div class="owl-carousel owl-theme producttab-carousel">
                    <?php $row = 1; ?>
                    <?php while ( $best_selling_products->have_posts() ) : $best_selling_products->the_post(); ?>
                        <?php if( $row == 1 ){?>
                            <div class="item-wrap">
                        <?php }?>
                                <?php wc_get_template_part( 'content', 'product' ); ?>
                        <?php if($row == (int) $atts['number_of_rows'] || $best_selling_products->current_post+1 == $best_selling_products->post_count) { $row=0; ?>
                            </div>
                        <?php } $row++;?>
                    <?php endwhile; // end of the loop.
                    wp_reset_postdata(); ?>
                </div>
            </div>
            <?php $p++; ?>
        <?php endif; ?>

        <?php if ( $sale_products->have_posts() ) :?>
            <div class="tab-pane fade<?php echo  $p == 0 ? ' in active': '' ?>" id="tab-onsale">
                <div class="owl-carousel owl-theme producttab-carousel">
                    <?php $row = 1; ?>
                    <?php while ( $sale_products->have_posts() ) : $sale_products->the_post(); ?>
                        <?php if( $row == 1 ){?>
                            <div class="item-wrap">
                        <?php }?>
                            <?php wc_get_template_part( 'content', 'product' ); ?>
                        <?php if($row == (int) $atts['number_of_rows'] || $sale_products->current_post+1 == $sale_products->post_count) { $row=0; ?>
                            </div>
                        <?php } $row++;?>
                    <?php endwhile; // end of the loop.
                    wp_reset_postdata(); ?>
                </div>
            </div>
            <?php $p++; ?>
        <?php endif; ?>
    </div>
</div>

<script type="text/javascript">
	jQuery(document).ready(function($) {
	    var rtl = false;
    	if ($('body').hasClass('rtl')) rtl = true;

	    $('.producttab-carousel').owlCarousel({
            responsive : {
                320 : {
	        		items: 2,
                    margin: 20
	        	},
				480 : {
	        		items: <?php if( (int) $items_mobile > 0) { echo esc_js($items_mobile); } else { echo '2'; } ?>,
                    margin: 20
	        	},
			    768 : {
			        items: <?php if( (int) $items_tablet > 0) { echo esc_js($items_tablet); } else { echo '2'; } ?>,
                    margin: 20
			    },
			    991 : {
			        items: <?php if( (int) $items_medium > 0) { echo esc_js($items_medium); } else { echo '3'; } ?>,
                    margin: 30
			    },
			    1199 : {
			        items: <?php if( (int) $items_show > 0) { echo esc_js($items_show); } else { echo '4'; } ?>,
			    }
			},
			rtl: rtl,
	        margin: <?php if( (int) $items_space > 0) { echo esc_js($items_space); } else { echo '30'; } ?>,
	        dots: <?php if( $show_pagination == 'show' ) { echo 'true'; } else { echo 'false'; } ?>,
	        nav: <?php if( $show_navigation == 'show' ) { echo 'true'; } else { echo 'false'; } ?>,
	        autoplay: <?php if( $autoplay == 'yes' ) { echo 'true'; } else { echo 'false'; } ?>,
	        loop: <?php if( $loop == 'yes' ) { echo 'true'; } else { echo 'false'; } ?>,
	        autoplayTimeout: <?php if( (int) $autoplaytimeout > 0 ) { echo esc_js($autoplaytimeout); } else { echo '5000'; } ?>,
	        smartSpeed: 1000,
			navText: ['<i class="icon-arrow prev"></i>','<i class="icon-arrow next"></i>']
	    });
	});
</script>
