<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<?php fluent_preloader(); ?>
	<?php locate_template('views/toggle-sidebar.php', true); ?>
	<?php locate_template('views/menu-mobile.php', true);?>

	<?php
		$class_cart = '';
		$cart_style = fluent_get_option('wc-add-to-cart-style', 'default');
		//DEMO
		if ( isset( $_GET['ajax_cart'] ) && $_GET['ajax_cart'] !='' ) $cart_style = $_GET['ajax_cart'];

		if( $cart_style == 'toggle-sidebar' ) {
			$class_cart = 'toggleSidebar';
		} elseif( $cart_style == 'toggle-bottom' ) {
			$class_cart = 'toggleBottom';
		}

		if ( class_exists( 'WooCommerce' ) && ($cart_style == 'toggle-sidebar' || $cart_style == 'toggle-bottom') ) :
			ob_start();
			woocommerce_mini_cart();
			$mini_cart = ob_get_clean();
			?>
		    <div class="<?php echo esc_attr($class_cart); ?> cartSidebarWrap">
				<div class="cart-sidebar-header-bottom">
					<span><?php esc_html_e('Shopping cart', 'fluent'); ?><span class="cart-count"><?php echo WC()->cart->get_cart_contents_count(); ?></span></span>
				</div>
				<div class="cart-sidebar-header flex between-xs">
					<div class="cart-sidebar-title">
						<?php esc_html_e( 'Shopping Cart', 'fluent' ); ?>
					</div>
					<div class="cartContentsCount">
						<?php echo WC()->cart->cart_contents_count; ?>
					</div>

				</div>
		        <div class="widget_shopping_cart_content"><?php echo $mini_cart; ?></div>
		    </div>
    <?php endif; ?>

	<div id="page" class="site oh">
		<?php fluent_header(); ?>
