<?php
// Global variable which stores all meta boxes.
global $meta_boxes;
$meta_boxes   = array();

// 1st meta box
$meta_boxes[] = array(
    'id'         => 'custom_metabox',
    'title'      => __( 'Product Detail Options', 'fluent' ),
    'post_types' => array( 'product' ),
    'autosave'   => true,
    'context'    => 'normal',
    'priority'   => 'high',
    'fields'     => array(
        array(
            'id'      => 'wc-single-style',
            'name'    => __( 'Product Detail Style', 'fluent' ),
            'type'    => 'image_select',
            'radio'   => true,
            'options' => array(
                '1'   => get_template_directory_uri() . '/assets/images/layout/product-style-1.jpg',
                '2'   => get_template_directory_uri() . '/assets/images/layout/product-style-2.jpg',
                '3'   => get_template_directory_uri() . '/assets/images/layout/product-style-3.jpg',
                '4'   => get_template_directory_uri() . '/assets/images/layout/product-style-4.jpg',
                '5'   => get_template_directory_uri() . '/assets/images/layout/product-style-5.jpg',
                '6'   => get_template_directory_uri() . '/assets/images/layout/product-style-6.jpg',
            ),
            'std'     => '1',
        ),
        array(
            'id'          => 'wc-thumbnail-position',
            'name'        => __( 'Product Thumbnail Position', 'fluent' ),
            'type'        => 'select',
            'radio'       => true,
            'options'     => array(
                'left'    => __( 'Left', 'fluent' ),
                'right'   => __( 'Right', 'fluent' ),
                'bottom'  => __( 'Bottom', 'fluent' ),
                'outside' => __( 'Outside', 'fluent' ),
            ),
            'std'         => 'bottom',
        ),
        array(
            'id'   => 'wc-single-video',
            'name' => esc_html__( 'Video', 'fluent' ),
            'desc' => __( 'Support Vimeo & Youtube', 'fluent' ),
            'type' => 'url',
            'std'  => ''
        )
    )
);
// TESTIMONIAL METABOX
//--------------------------------------------------
$meta_boxes[] = array(
	'title'      => esc_html__('Testimonial Informations', 'fluent'),
	'id'         => 'testimonial_informations',
	'post_types' => array( 'testimonial' ),
	'context'    => 'normal',
	'priority'   => 'high',
	'fields'     => array(
		array(
			'name' => esc_html__( 'Enter Company Name', 'fluent' ),
			'id'   => 'office',
			'type' => 'text',
			'desc' => esc_html__( 'Enter client company name.', 'fluent' ),
		),
	),
);

// PORTFOLIO DESC
//--------------------------------------------------
$meta_boxes[] = array(
	'title'      => esc_html__('Portfolio Description', 'fluent'),
	'id'         => 'portfolio-desc',
	'post_types' => array( 'portfolio' ),
	'context'    => 'normal',
	'priority'   => 'high',
	'fields'     => array(
		array(
			'name' => esc_html__( 'Description', 'fluent' ),
			'id'   => 'portfolio-desc',
			'type' => 'textarea',
		),
	),
);

// Page Meta Box
$meta_boxes[] = array(
    'id'         => 'custom_metabox',
    'title'      => __( 'Page Layout', 'fluent' ),
    'post_types' => array( 'page' ),
    'autosave'   => true,
    'context'    => 'normal',
    'priority'   => 'high',
    'fields'     => array(
        array(
            'id'          => 'show-page-title',
            'name'        => __( 'Show page title area', 'fluent' ),
            'type'        => 'radio',
            'options'     => array(
                'show' => __( 'Show', 'fluent' ),
                'hide' => __( 'Hide', 'fluent' ),
            ),
            'required'    => true,
            'std'         => 'show',
        ),
        array(
            'id'        => 'page-layout',
            'name'      => esc_html__( 'Page Layout', 'fluent' ),
            'type'      => 'image_select',
            'radio'     => true,
            'options'   => array(
                'left'  => FLUENT_URL . '/assets/images/layout/left-sidebar.jpg',
                'no'    => FLUENT_URL . '/assets/images/layout/no-sidebar.jpg',
                'right' => FLUENT_URL . '/assets/images/layout/right-sidebar.jpg',
            ),
            'required' => true,
            'std'      => 'no'
        ),
    )
);

function fluent_register_meta_boxes() {
	global $meta_boxes;
	if ( ! class_exists( 'RW_Meta_Box' ) )
		return;
	foreach ( $meta_boxes as $meta_box ) {
		new RW_Meta_Box( $meta_box );
	}
}
add_action( 'admin_init', 'fluent_register_meta_boxes' );
