<?php
// Require the TGM_Plugin_Activation class.
include FLUENT_PATH . '/inc/plugins/class-tgm-plugin-activation.php';

if ( ! function_exists( 'fluent_register_required_plugins' ) ) {
    function fluent_register_required_plugins() {
        $plugins = array(
			array(
                'name'      => esc_html__('Fluent Addons', 'fluent'),
                'slug'      => 'fluent-addons',
                'version'   => '1.0.3',
                'source'    => get_template_directory() . '/inc/plugins/fluent-addons.zip',
                'image_url' => get_template_directory_uri() . '/inc/plugins/images/jms_plugin.jpg',
                'required'  => true
            ),
			array(
                'name'      => esc_html__('Jms Image Swatch', 'fluent'),
                'slug'      => 'jms-imageswatch',
                'source'    => get_template_directory() . '/inc/plugins/jms-imageswatch.zip',
                'image_url' => get_template_directory_uri() . '/inc/plugins/images/jms_plugin.jpg',
                'required'  => false
            ),
			array(
                'name'      => esc_html__('Jms Slider', 'fluent'),
                'slug'      => 'jmsslider',
                'source'    => get_template_directory() . '/inc/plugins/jmsslider.zip',
                'image_url' => get_template_directory_uri() . '/inc/plugins/images/jms_plugin.jpg',
                'required'  => true
            ),
			array(
    			'name'      => esc_html__('Contact Form 7', 'fluent'),
    			'slug'      => 'contact-form-7',
                'image_url' => get_template_directory_uri() . '/inc/plugins/images/contact_form_7.jpg',
    			'required'  => true
            ),
            array(
                'name'      => esc_html__('KC Pro', 'fluent'),
                'slug'      => 'kc_pro',
    			'source'    => get_template_directory() . '/inc/plugins/kc_pro.zip',
                'image_url' => get_template_directory_uri() . '/inc/plugins/images/kingcomposer.jpg',
                'required'  => true
            ),
            array(
                'name'      => esc_html__('KingComposer', 'fluent'),
                'slug'      => 'kingcomposer',
                'version'   => '2.7.7',
    			'source'    => get_template_directory() . '/inc/plugins/kingcomposer.zip',
                'image_url' => get_template_directory_uri() . '/inc/plugins/images/kingcomposer.jpg',
                'required'  => true
            ),
            array(
                'name'      => esc_html__('Jms Currency', 'fluent'),
                'slug'      => 'jmscurrency',
    			'source'    => get_template_directory() . '/inc/plugins/jmscurrency.zip',
                'image_url' => get_template_directory_uri() . '/inc/plugins/images/jms_plugin.jpg',
                'required'  => false
            ),            
            array(
    			'name'      => esc_html__('MailChimp for WordPress', 'fluent'),
    			'slug'      => 'mailchimp-for-wp',
                'image_url' => get_template_directory_uri() . '/inc/plugins/images/mail-chimp.jpg',
    			'required'  => true
    		),
            array(
                'name'      => esc_html__('Meta Box', 'fluent'),
                'slug'      => 'meta-box',
    			'image_url' => get_template_directory_uri() . '/inc/plugins/images/meta-box.jpg',
                'required'  => true,
            ),
            array(
    			'name'      => esc_html__('Woocommerce', 'fluent'),
    			'slug'      => 'woocommerce',
                'image_url' => get_template_directory_uri() . '/inc/plugins/images/woocommerce.jpg',
    			'required'  => true
            ),
            array(
    			'name'      => __('YITH WooCommerce Popup', 'fluent'),
    			'slug'      => 'yith-woocommerce-popup',
                'image_url' => get_template_directory_uri() . '/inc/plugins/images/yith_popup.jpg',
    			'required'  => true
    		),
            array(
    			'name'      => esc_html__('YITH WooCommerce Wishlist', 'fluent'),
    			'slug'      => 'yith-woocommerce-wishlist',
                'image_url' => get_template_directory_uri() . '/inc/plugins/images/yith_wishlist.jpg',
    			'required'  => true
    		),
            array(
    			'name'      => esc_html__('YITH WooCommerce Compare', 'fluent'),
    			'slug'      => 'yith-woocommerce-compare',
                'image_url' => get_template_directory_uri() . '/inc/plugins/images/yith_compare.jpg',
    			'required'  => true
    		),
            array(
                'name'      => esc_html__( 'YITH WooCommerce Ajax Product Filter', 'fluent' ),
                'slug'      => 'yith-woocommerce-ajax-navigation',
				'image_url' => get_template_directory_uri() . '/inc/plugins/images/yith_filter.jpg',
                'required'  => true,
            ),
    	);

        /*
    	 * Array of configuration settings. Amend each line as needed.
    	 *
    	 * TGMPA will start providing localized text strings soon. If you already have translations of our standard
    	 * strings available, please help us make TGMPA even better by giving us access to these translations or by
    	 * sending in a pull-request with .po file(s) with the translations.
    	 *
    	 * Only uncomment the strings in the config array if you want to customize the strings.
    	 */
    	$config = array(
    		'id'           => 'tgmpa',
    		'menu'         => 'tgmpa-install-plugins',
    		'parent_slug'  => 'themes.php',
    		'capability'   => 'manage_options',
    		'has_notices'  => true,
    		'dismissable'  => true,
    		'is_automatic' => true,
    	);

        tgmpa( $plugins, $config );

    }
    add_action('tgmpa_register', 'fluent_register_required_plugins');
}
