<?php
/*
* [ Add inline styles. ] - - - - - - - - - - - - - - - - - - - -
*/
if ( ! function_exists( 'fluent_custom_css' ) ) {
    function fluent_custom_css( $css = array() ) {
        if ( !class_exists ( 'ReduxFramework' ) ) return;

        // Blog Background - Page Title
        $blog_bg = fluent_get_option( 'blog-background' );

        if ( ! empty( $blog_bg['background-image'] ) ) {
            $css[] = '
                .blog .page-heading {
                    background-image: url(' . esc_url( $blog_bg['background-image'] ) . ');
                    background-size: ' . esc_attr( $blog_bg['background-size'] ) . ';
					background-repeat: ' . esc_attr( $blog_bg['background-repeat'] ) . ';
					background-position: ' . esc_attr( $blog_bg['background-position'] ) . ';
					background-attachment: ' . esc_attr( $blog_bg['background-attachment'] ) . ';
                }
            ';
        }

        if ( ! empty( $blog_bg['background-color'] ) ) {
            $css[] = '
                .blog .page-heading {
                    background-color: ' . esc_attr( $blog_bg['background-color'] ) . ';
                }
            ';
        }

        // Portfolio Background - Page Title
        $portfolio_bg = fluent_get_option( 'portfolio-background' );

        if ( ! empty( $blog_bg['background-image'] ) ) {
            $css[] = '
                .post-type-archive-portfolio .page-heading {
                    background-image: url(' . esc_url( $portfolio_bg['background-image'] ) . ');
                    background-size: ' . esc_attr( $portfolio_bg['background-size'] ) . ';
					background-repeat: ' . esc_attr( $portfolio_bg['background-repeat'] ) . ';
					background-position: ' . esc_attr( $portfolio_bg['background-position'] ) . ';
					background-attachment: ' . esc_attr( $portfolio_bg['background-attachment'] ) . ';
                }
            ';
        }

        if ( ! empty( $portfolio_bg['background-color'] ) ) {
            $css[] = '
                .post-type-archive-portfolio .page-heading {
                    background-color: ' . esc_attr( $portfolio_bg['background-color'] ) . ';
                }
            ';
        }

        // Shop Background - Page Title
        $shop_bg = fluent_get_option( 'wc-shop-background' );

        if ( ! empty( $shop_bg['background-image'] ) ) {
            $css[] = '
                .woocommerce-page .page-heading {
                    background-image: url(' . esc_url( $shop_bg['background-image'] ) . ');
                    background-size: ' . esc_attr( $shop_bg['background-size'] ) . ';
					background-repeat: ' . esc_attr( $shop_bg['background-repeat'] ) . ';
					background-position: ' . esc_attr( $shop_bg['background-position'] ) . ';
					background-attachment: ' . esc_attr( $shop_bg['background-attachment'] ) . ';
                }
            ';
        }

        if ( ! empty( $shop_bg['background-color'] ) ) {
            $css[] = '
                .woocommerce-page .page-heading {
                    background-color: ' . esc_attr( $shop_bg['background-color'] ) . ';
                }
            ';
        }

        // Maintenance Background
        $maintenance_bg = fluent_get_option( 'maintenance-background' );

        if ( ! empty( $maintenance_bg['background-image'] ) ) {
            $css[] = '
                .maintenance-bg {
                    background-image: url(' . esc_url( $maintenance_bg['background-image'] ) . ');
                    background-size: ' . esc_attr( $maintenance_bg['background-size'] ) . ';
					background-repeat: ' . esc_attr( $maintenance_bg['background-repeat'] ) . ';
					background-position: ' . esc_attr( $maintenance_bg['background-position'] ) . ';
					background-attachment: ' . esc_attr( $maintenance_bg['background-attachment'] ) . ';
                }
            ';
        }

        // Color scheme
        $main_color = fluent_get_option('primary-color', '#0E0E0E');

        if ( ! empty( $main_color ) ) {
            $css[] = '
                a:hover, a:focus, a:active,
                .top-header .dropdown-menu ul li a:hover,
                .single-post .entry-content p a,
                #jmsproducttab-box .nav-tabs > li.active > a,
                .primary-menu li a:hover,
                .primary-menu li.current-menu-ancestor > a,
                .primary-menu li.current-menu-item > a,
                .primary-menu .dropdown-menu .column-heading:hover,
                .vertical-menu li a:hover,
                .vertical-menu .dropdown-menu .column-heading:hover,
                .product_meta a:hover,
                .woocommerce-tabs .wc-tabs > li.active > a,
                .woocommerce-product-rating .woocommerce-review-link:hover,
                .entry-summary .compare.button:hover,
                .product-box .product-cat a:hover,
                .widget a:hover,
                .widget_ranged_price_filter .ranged-price-filter li.current,
                .widget_order_by_filter .order-by-filter li.current,
                .product-box .price-cart .button:hover,
                .shop-filter .widget a:hover,
                .woocommerce .widget_layered_nav .yith-wcan-list ul li.chosen a,
                #footer-wrapper a:hover,
                #footer-wrapper p a,
                #footer-wrapper .footer-bottom .copyright a,
                .product-box .yith-wcwl-wishlistaddedbrowse a,
                .product-box .yith-wcwl-wishlistexistsbrowse a,
                .portfolio-content .portfolio-category a:hover {
                    color: ' . esc_attr( $main_color ) . ';
                }
            ';

            $css[] = '
                .button,
                input[type="button"],
                input[type="reset"],
                input[type="submit"],
                .shoppingcart-box .buttons a:hover,
                #header-cart .cart-count,
                .woocommerce-tabs .wc-tabs > li.active::after,
                .fluent-list .product-extra .button:hover,
                .fluent-list .product-extra .yith-wcwl-add-to-wishlist a:hover,
                nav.woocommerce-pagination ul li a:focus,
                nav.woocommerce-pagination ul li a:hover,
                nav.woocommerce-pagination ul li span.current,
                .btn-transparent:hover,
                .btn-transparent:focus,
                .woocommerce .widget_layered_nav ul.yith-wcan-label li a:hover,
                .woocommerce-page .widget_layered_nav ul.yith-wcan-label li a:hover,
                .woocommerce .widget_layered_nav ul.yith-wcan-label li a:focus,
                .woocommerce-page .widget_layered_nav ul.yith-wcan-label li a:focus,
                .woocommerce .widget_layered_nav ul.yith-wcan-label li.chosen a,
                .woocommerce-page .widget_layered_nav ul.yith-wcan-label li.chosen a,
                .shop-filter .filter-title,
                .pagination-block .page-numbers li .current,
                .pagination-block .page-numbers li span:hover,
                .pagination-block .page-numbers li a:hover,
                .owl-theme .owl-dots .owl-dot.active span,
                .owl-theme .owl-dots .owl-dot:hover span,
                #jmstestimonial-box .owl-theme .owl-dots .owl-dot.active span,
                .post-category a:hover {
                    background-color: ' . esc_attr( $main_color ) . ';
                }
            ';

            $css[] = '
                input[type="text"]:focus,
                input[type="number"]:focus,
                input[type="tel"]:focus,
                input[type="email"]:focus,
                input[type="url"]:focus,
                input[type="password"]:focus,
                input[type="search"]:focus,
                textarea:focus,
                .fluent-list .product-extra .button:hover,
                .fluent-list .product-extra .yith-wcwl-add-to-wishlist a:hover,
                .btn-transparent:hover,
                .btn-transparent:focus,
                .woocommerce .widget_layered_nav ul.yith-wcan-label li a:hover,
                .woocommerce-page .widget_layered_nav ul.yith-wcan-label li a:hover,
                .woocommerce .widget_layered_nav ul.yith-wcan-label li a:focus,
                .woocommerce-page .widget_layered_nav ul.yith-wcan-label li a:focus,
                .woocommerce .widget_layered_nav ul.yith-wcan-label li.chosen a,
                .woocommerce-page .widget_layered_nav ul.yith-wcan-label li.chosen a,
                #footer-wrapper .newsletter-form input[type="email"]:focus,
                .post-category a:hover {
                    border-color: ' . esc_attr( $main_color ) . ';
                }
            ';

            $css[] = '
                .product-box .btn-quickview:hover::before {
                    border-right-color: ' . esc_attr( $main_color ) . ';
                }
            ';
        }

        $h1_size = fluent_get_option( 'h1-font-size', '36' );
        $h2_size = fluent_get_option( 'h2-font-size', '30' );
        $h3_size = fluent_get_option( 'h3-font-size', '24' );
        $h4_size = fluent_get_option( 'h4-font-size', '21' );
        $h5_size = fluent_get_option( 'h5-font-size', '18' );
        $h6_size = fluent_get_option( 'h6-font-size', '16' );

        if (isset($h1_size['font-size']) && $h1_size ) {
            $css[] = 'h1 { font-size:' . esc_attr( $h1_size['font-size'] ) . '; }';
        }

        if (isset($h2_size['font-size']) && $h2_size ) {
            $css[] = 'h2 { font-size:' . esc_attr( $h2_size['font-size'] ) . '; }';
        }

        if (isset($h3_size['font-size']) && $h3_size ) {
            $css[] = 'h3 { font-size:' . esc_attr( $h3_size['font-size'] ) . '; }';
        }

        if (isset($h4_size['font-size']) && $h4_size ) {
            $css[] = 'h4 { font-size:' . esc_attr( $h4_size['font-size'] ) . '; }';
        }

        if (isset($h5_size['font-size']) && $h5_size ) {
            $css[] = 'h5 { font-size:' . esc_attr( $h5_size['font-size'] ) . '; }';
        }

        if (isset($h6_size['font-size']) && $h6_size ) {
            $css[] = 'h6 { font-size:' . esc_attr( $h6_size['font-size'] ) . 'px; }';
        }

        // Topbar
        $topBarBackground = fluent_get_option('topbar-background');
        if ( ! empty( $topBarBackground ) ) {
            $css[] = '
                .top-header {
                    background-color: ' . esc_attr( $topBarBackground ) . ';
                }
            ';
        }

        $topBarBorder = fluent_get_option('topbar-border');
        if ( ! empty( $topBarBorder ) ) {
            $css[] = '
                .top-header {
                    border-color: ' . esc_attr( $topBarBorder ) . ';
                }
            ';
        }

        // Header
        $header_bg = fluent_get_option( 'header-background' );
        if ( ! empty( $header_bg ) ) {
            $css[] = '
                #header-wrapper.header-5,
                #header-wrapper .main-header {
                    background-color: '. esc_attr( $header_bg ) .';
                }
            ';
        }

        $header_action_icon_color = fluent_get_option('header-icon-style', 'inherit');
        if ( !empty( $header_action_icon_color ) && $header_action_icon_color == 'white' ) {
            $css[] = '
                #header-wrapper .header-action .dropdown-toggle {
                    color: #ffffff;
                }
            ';
        }

        $header_color = fluent_get_option( 'header-color' );
        if ( ! empty( $header_color ) ) {
            $css[] = '
                #header-wrapper,
                #header-wrapper .primary-menu > li > a,
                .header-5 .vertical-menu > li > a {
                    color: '. esc_attr( $header_color ) .';
                }
            ';
        }

        if ( isset( $_GET['header_bg'] ) ) {
            $css[] = '
                #header-wrapper .main-header {
                    background-color: #'. $_GET['header_bg'] .';
                }
            ';
        }

        if ( isset( $_GET['header_color'] ) ) {
            $css[] = '
                #header-wrapper,
                #header-wrapper .primary-menu > li > a,
                .header-5 .vertical-menu > li > a {
                    color: #'. $_GET['header_color'] .';
                }
            ';
        }

        // Footer
        $footer_bg = fluent_get_option( 'footer-background' );
        if ( ! empty( $footer_bg['background-image'] ) ) {
            $css[] = '
                #footer-wrapper {
                    background-image: url(' . esc_url( $footer_bg['background-image'] ) . ');
                    background-size: ' . esc_attr( $footer_bg['background-size'] ) . ';
					background-repeat: ' . esc_attr( $footer_bg['background-repeat'] ) . ';
					background-position: ' . esc_attr( $footer_bg['background-position'] ) . ';
					background-attachment: ' . esc_attr( $footer_bg['background-attachment'] ) . ';
                }
            ';
        }

        if ( ! empty( $footer_bg['background-color'] ) ) {
            $css[] = '
                #footer-wrapper {
                    background-color: '. esc_attr( $footer_bg['background-color'] ) .';
                }
            ';
        }

        $footer_border = fluent_get_option( 'footer-border' );
        if ( ! empty( $footer_border ) ) {
            $css[] = '
                #footer-wrapper .footer-bottom .container,
                #footer-wrapper .footer-bottom .container-fluid {
                    border-top-color: '. esc_attr( $footer_border ) .';
                }
            ';
        }

        $footer_widget_title_color = fluent_get_option( 'widget-title-color' );
        if ( ! empty( $footer_widget_title_color ) ) {
            $css[] = '
                #footer-wrapper .footer-top .widget .widget-title {
                    color: '. esc_attr( $footer_widget_title_color ) .';
                }
            ';
        }

        $footer_color = fluent_get_option( 'footer-color' );
        if ( ! empty( $footer_color ) ) {
            $css[] = '
                #footer-wrapper,
                #footer-wrapper a {
                    color: '. esc_attr( $footer_color ) .';
                }
            ';
        }
        // Demo bg footer
        if ( isset( $_GET['footer_bg'] ) ) {
            $css[] = '
                #footer-wrapper {
                    background-color: #'. $_GET['footer_bg'] .';
                }
            ';

            $css[] = '
                #footer-wrapper .footer-bottom .container,
                #footer-wrapper .footer-bottom .container-fluid {
                    border-top-color: #2e2e2e;
                }
            ';

            $css[] = '
                #footer-wrapper .footer-top .widget .widget-title {
                    color: #ffffff;
                }
            ';

            $css[] = '
                #footer-wrapper,
                #footer-wrapper a,
                #footer-wrapper a:hover,
                #footer-wrapper p a,
                #footer-wrapper .footer-bottom .copyright a {
                    color: #C5C5C5;
                }
            ';
        }

        if ( isset( $_GET['footer_bg_image'] ) && $_GET['footer_bg_image'] == 1 ) {
            $css[] = '
                #footer-wrapper {
                    background-image: url('. FLUENT_URL . '/assets/images/bg-bg.jpg'  .');
                    background-size: inherit;
                    background-repeat: no-repeat;
                    background-position: center center;
                    background-attachment: scroll;
                }
            ';

            $css[] = '
                #footer-wrapper .footer-bottom .container,
                #footer-wrapper .footer-bottom .container-fluid {
                    border-top-color: rgba(46, 46, 46, 0.4);
                }
            ';

            $css[] = '
                #footer-wrapper .footer-top .widget .widget-title {
                    color: #ffffff;
                }
            ';

            $css[] = '
                #footer-wrapper,
                #footer-wrapper a,
                #footer-wrapper a:hover,
                #footer-wrapper p a,
                #footer-wrapper .footer-bottom .copyright a {
                    color: #C5C5C5;
                }
            ';
        }

        // Single background
        $single_product_bg = fluent_get_option( 'wc-single-product-background' );
        if ( !empty( $single_product_bg ) ) {
            $css[] = '
                .wc-product-detail-layout-2 .product-detail-bg {
                    background-color: '. esc_attr( $single_product_bg ) .';
                }
            ';
        }

        return preg_replace( '/\n|\t/i', '', implode( '', $css ) );
    }
}
