<?php
/* 	Preloader Style
/* --------------------------------------------------------------------- */
if ( ! function_exists( 'fluent_preloader' ) ) {
   function fluent_preloader() {
       $preloader       = fluent_get_option('site-loader', 1);
       $preloader_style = fluent_get_option('site-loader-style', 1);

       if ( isset($preloader) && $preloader == 1 ) : ?>
           <div class="preloader">
               <div class="spinner<?php echo esc_attr( $preloader_style ); ?>">
                   <div class="dot1"></div>
                   <div class="dot2"></div>
                   <div class="bounce1"></div>
                   <div class="bounce2"></div>
                   <div class="bounce3"></div>
               </div>
           </div>
       <?php endif;
   }
}


/* 	Render Footer Social
/* --------------------------------------------------------------------- */
if ( ! function_exists( 'fluent_social' ) ) {
	function fluent_social() {
		$facebook    = fluent_get_option( 'facebook' );
        $googleplus  = fluent_get_option( 'twitter' );
        $twitter     = fluent_get_option( 'google-plus' );
        $pinterest   = fluent_get_option( 'pinterest' );
        $instagram   = fluent_get_option( 'instagram' );
        $vimeo       = fluent_get_option( 'vimeo' );
        $youtube     = fluent_get_option( 'youtube' );
        $dribbble    = fluent_get_option( 'dribbble' );
        $tumblr      = fluent_get_option( 'tumblr' );
        $linkedin    = fluent_get_option( 'linkedin' );
        $flickr      = fluent_get_option( 'flickr' );
        $github      = fluent_get_option( 'github' );
        $lastfm      = fluent_get_option( 'lastfm' );
        $paypal      = fluent_get_option( 'paypal' );
        $wordpress   = fluent_get_option( 'wordpress' );
        $skype       = fluent_get_option( 'skype' );
        $yahoo       = fluent_get_option( 'yahoo' );
        $reddit      = fluent_get_option( 'reddit' );
        $deviantart  = fluent_get_option( 'deviantart' );
        $steam       = fluent_get_option( 'steam' );
        $foursquare  = fluent_get_option( 'foursquare' );
        $behance     = fluent_get_option( 'behance' );
        $blogger     = fluent_get_option( 'blogger' );
        $xing        = fluent_get_option( 'xing' );
        $stumbleupon = fluent_get_option( 'stumbleupon' );
        ?>
        <ul class="social-icons">
            <?php if ( ! empty($facebook) ) : ?>
                <li><a href="<?php echo esc_url($facebook); ?>"><i class="fa fa-facebook"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($googleplus) ) : ?>
                <li><a href="<?php echo esc_url($googleplus); ?>"><i class="fa fa-twitter"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($twitter) ) : ?>
                <li><a href="<?php echo esc_url($twitter); ?>"><i class="fa fa-google-plus"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($pinterest) ) : ?>
                <li><a href="<?php echo esc_url($pinterest); ?>"><i class="fa fa-pinterest"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($instagram) ) : ?>
                <li><a href="<?php echo esc_url($instagram); ?>"><i class="fa fa-instagram"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($vimeo) ) : ?>
                <li><a href="<?php echo esc_url($vimeo); ?>"><i class="fa fa-vimeo"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($youtube) ) : ?>
                <li><a href="<?php echo esc_url($youtube); ?>"><i class="fa fa-youtube"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($dribbble) ) : ?>
                <li><a href="<?php echo esc_url($dribbble); ?>"><i class="fa fa-dribbble"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($tumblr) ) : ?>
                <li><a href="<?php echo esc_url($tumblr); ?>"><i class="fa fa-tumblr"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($linkedin) ) : ?>
                <li><a href="<?php echo esc_url($linkedin); ?>"><i class="fa fa-linkedin"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($flickr) ) : ?>
                <li><a href="<?php echo esc_url($flickr); ?>"><i class="fa fa-flickr"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($github) ) : ?>
                <li><a href="<?php echo esc_url($github); ?>"><i class="fa fa-github"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($lastfm) ) : ?>
                <li><a href="<?php echo esc_url($lastfm); ?>"><i class="fa fa-lastfm"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($paypal) ) : ?>
                <li><a href="<?php echo esc_url($paypal); ?>"><i class="fa fa-paypal"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($wordpress) ) : ?>
                <li><a href="<?php echo esc_url($wordpress); ?>"><i class="fa fa-wordpress"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($skype) ) : ?>
                <li><a href="<?php echo esc_url($skype); ?>"><i class="fa fa-skype"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($yahoo) ) : ?>
                <li><a href="<?php echo esc_url($yahoo); ?>"><i class="fa fa-yahoo"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($reddit) ) : ?>
                <li><a href="<?php echo esc_url($reddit); ?>"><i class="fa fa-reddit"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($deviantart) ) : ?>
                <li><a href="<?php echo esc_url($deviantart); ?>"><i class="fa fa-deviantart"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($steam) ) : ?>
                <li><a href="<?php echo esc_url($steam); ?>"><i class="fa fa-steam"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($foursquare) ) : ?>
                <li><a href="<?php echo esc_url($foursquare); ?>"><i class="fa fa-foursquare"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($behance) ) : ?>
                <li><a href="<?php echo esc_url($behance); ?>"><i class="fa fa-behance"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($xing) ) : ?>
                <li><a href="<?php echo esc_url($xing); ?>"><i class="fa fa-xing"></i></a></li>
            <?php endif; ?>

            <?php if ( ! empty($stumbleupon) ) : ?>
                <li><a href="<?php echo esc_url($stumbleupon); ?>"><i class="fa fa-stumbleupon"></i></a></li>
            <?php endif; ?>

        </ul>
        <?php
	}
}

/* 	Header Logo
/* --------------------------------------------------------------------- */
if ( ! function_exists( 'fluent_logo' ) ){
	function fluent_logo(){?>
		<?php $header_logo = fluent_get_option('header-logo');
		if( !empty( $header_logo['url'] ) ) : ?>
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
                <img src="<?php echo esc_url( $header_logo['url'] );?>" alt="<?php bloginfo( 'name' ); ?>">
            </a>
		<?php else:?>
		    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
                <img src="<?php echo FLUENT_URL . '/assets/images/logo.png'; ?>" alt="<?php bloginfo( 'name' ); ?>">
            </a>
		<?php endif;?>
		<?php
	}
}

/**
 * Create a breadcrumb menu.
 *
 * @return string
 */
if ( ! function_exists( 'fluent_breadcrumb' ) ) {
	function fluent_breadcrumb() {
		// Settings
		$sep   = '/';
		$home  = esc_html__( 'Home', 'fluent' );
		$blog  = esc_html__( 'Blog', 'fluent' );
		$shop  = esc_html__( 'Shop', 'fluent' );

		// Get the query & post information
		global $post, $wp_query;

		// Get post category
		$category = get_the_category();

		// Get product category
		$product_cat = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );

		if ( $product_cat ) {
			$tax_title = $product_cat->name;
		}

		$output = '';

		// Build the breadcrums
		$output .= '<div class="breadcrumb">';

		// Do not display on the homepage
		if ( ! is_front_page() ) {

			if ( ( function_exists( 'is_shop' ) && is_shop() ) || ( function_exists( 'is_product' ) && is_product() ) || function_exists( 'is_product_category' ) && is_product_category() || function_exists( 'is_product_tag' ) && is_product_tag() ) {
				do_action('fluent_woocommerce_breadcrumb');
			} elseif ( is_home() ) {

				// Home page
				$output .= '<a href="' . esc_url( get_home_url() ) . '" title="' . esc_attr( $home ) . '">' . esc_attr( $home ) . '</a>';
				$output .= $sep;
				$output .= $blog;
			} elseif ( is_post_type_archive() ) {
				$post_type = get_post_type_object( get_post_type() );
				$output .= '<a href="' . esc_url( get_home_url() ) . '" title="' . esc_attr( $home ) . '">' . esc_attr( $home ) . '</a>';
				$output .= ' ' . $sep . ' ';
				$output .= $post_type->labels->singular_name;
			} elseif ( is_tax() ) {
				$term = $GLOBALS['wp_query']->get_queried_object();
				$output .= '<a href="' . esc_url( get_home_url() ) . '" title="' . esc_attr( $home ) . '">' . esc_attr( $home ) . '</a>';
				$output .= ' ' . $sep . ' ';
				$output .= $term->name;
			} elseif ( is_single() ) {
				$output .= '<a href="' . esc_url( get_home_url() ) . '" title="' . esc_attr( $home ) . '">' . esc_attr( $home ) . '</a>';
				$output .= ' ' . $sep . ' ';
				// Single post (Only display the first category)
				if ( ! empty( $category ) ) {
					$output .= '<a href="' . esc_url( get_category_link( $category[0]->term_id ) ) . '" title="' . esc_attr( $category[0]->cat_name ) . '">' . $category[0]->cat_name . '</a>';
					$output .= ' ' . $sep . ' ';
				}
				$output .= get_the_title();

			} elseif ( is_category() ) {
				$output .= '<a href="' . esc_url( get_home_url() ) . '" title="' . esc_attr( $home ) . '">' . esc_attr( $home ) . '</a>';
				$output .= ' ' . $sep . ' ';
				$thisCat = get_category( get_query_var( 'cat' ), false );
				if ( $thisCat->parent != 0 ) echo get_category_parents( $thisCat->parent, TRUE, ' ' );

				// Category page
				$output .= single_cat_title( '', false );

			} elseif ( is_page() ) {
				$output .= '<a href="' . esc_url( get_home_url() ) . '" title="' . esc_attr( $home ) . '">' . esc_attr( $home ) . '</a>';
				$output .= ' ' . $sep . ' ';

				// Standard page
				if ( $post->post_parent ) {

					// If child page, get parents
					$anc = get_post_ancestors( $post->ID );

					// Get parents in the right order
					$anc = array_reverse($anc);

					// Parent page loop
					foreach ( $anc as $ancestor ) {
						$parents = '<a href="' . esc_url( get_permalink( $ancestor ) ) . '" title="' . esc_attr( get_the_title( $ancestor ) ) . '">' . get_the_title( $ancestor ) . '</a>';
						$parents .= ' ' . $sep . ' ';
					}

					// Display parent pages
					$output .= $parents;

					// Current page
					$output .= get_the_title();

				} else {

					// Just display current page if not parents
					$output .= get_the_title();

				}

			} elseif ( is_tag() ) {

				// Tag page

				// Get tag information
				$term_id  = get_query_var( 'tag_id' );
				$taxonomy = 'post_tag';
				$args     = 'include=' . $term_id;
				$terms    = get_terms( $taxonomy, $args );

				$output .= '<a href="' . esc_url( get_home_url() ) . '" title="' . esc_attr( $home ) . '">' . esc_attr( $home ) . '</a>';
				$output .= ' ' . $sep . ' ';
				// Display the tag name
				$output .= $terms[0]->name;

			} elseif ( is_day() ) {
				$output .= '<a href="' . esc_url( get_home_url() ) . '" title="' . esc_attr( $home ) . '">' . esc_attr( $home ) . '</a>';
				$output .= ' ' . $sep . ' ';
				// Day archive

				// Year link
				$output .= '<a href="' . esc_url( get_year_link( get_the_time( 'Y' ) ) ) . '" title="' . esc_attr( get_the_time( 'Y' ) ) . '">' . get_the_time( 'Y' ) . esc_html__( ' Archives', 'fluent' ) . '</a>';
				$output .= ' ' . $sep . ' ';

				// Month link
				$output .= '<a href="' . esc_url( get_month_link( get_the_time('Y'), get_the_time( 'm' ) ) ) . '" title="' . esc_attr( get_the_time( 'M' ) ) . '">' . get_the_time( 'M' ) . esc_html__( ' Archives', 'fluent' ) . '</a';
				$output .= ' ' . $sep . ' ';

				// Day display
				$output .= get_the_time('jS') . ' ' . get_the_time('M') . esc_html__( ' Archives', 'fluent' );

			} elseif ( is_month() ) {
				$output .= '<a href="' . esc_url( get_home_url() ) . '" title="' . esc_attr( $home ) . '">' . esc_attr( $home ) . '</a>';
				$output .= ' ' . $sep . ' ';
				// Month Archive

				// Year link
				$output .= '<a href="' . esc_url( get_year_link( get_the_time( 'Y' ) ) ) . '" title="' . esc_attr( get_the_time( 'Y' ) ) . '">' . get_the_time( 'Y' ) . esc_html__( ' Archives', 'fluent' ) . '</a>';
				$output .= ' ' . $sep . ' ';

				// Month display
				$output .= get_the_time( 'M' ) . esc_html__( ' Archives', 'fluent' );

			} elseif ( is_year() ) {
				$output .= '<a href="' . esc_url( get_home_url() ) . '" title="' . esc_attr( $home ) . '">' . esc_attr( $home ) . '</a>';
				$output .= ' ' . $sep . ' ';
				// Display year archive
				$output .= get_the_time('Y') . esc_html__( 'Archives', 'fluent' );

			} elseif ( is_author() ) {
				$output .= '<a href="' . esc_url( get_home_url() ) . '" title="' . esc_attr( $home ) . '">' . esc_attr( $home ) . '</a>';
				$output .= ' ' . $sep . ' ';
				// Auhor archive

				// Get the author information
				global $author;
				$userdata = get_userdata( $author );

				// Display author name
				$output .= esc_html__( 'Author: ', 'fluent' ) . $userdata->display_name;

			} elseif ( get_query_var('paged') ) {
				$output .= '<a href="' . esc_url( get_home_url() ) . '" title="' . esc_attr( $home ) . '">' . esc_attr( $home ) . '</a>';
				$output .= ' ' . $sep . ' ';
				// Paginated archives
				$output .= esc_html__( 'Page', 'fluent' ) . ' ' . get_query_var( 'paged' );

			} elseif ( is_search() ) {
				$output .= '<a href="' . esc_url( get_home_url() ) . '" title="' . esc_attr( $home ) . '">' . esc_attr( $home ) . '</a>';
				$output .= ' ' . $sep . ' ';
				// Search results page
				$output .= esc_html__( 'Search results for: ' . get_search_query(), 'fluent' );

			} elseif ( is_404() ) {

				// 404 page
				$output .= '<a href="' . esc_url( get_home_url() ) . '" title="' . esc_attr( $home ) . '">' . esc_attr( $home ) . '</a>';
				$output .= ' ' . $sep . ' ';
				$output .= esc_html__( 'Error 404', 'fluent' );
			}

		} else  {
			$output .= '<a href="' . esc_url( get_home_url() ) . '" title="' . esc_attr( $home ) . '">' . esc_attr( $home ) . '</a>';
			$output .= ' ' . $sep . ' ';
			$output .= esc_html__( 'Front Page', 'fluent' );
		}

		$output .= '</div>';

		return apply_filters( 'fluent_breadcrumb', $output );
	}
}

/* 	Render Header Layout
/* --------------------------------------------------------------------- */
if ( ! function_exists( 'fluent_header' ) ) {
	function fluent_header() {
		$layout = fluent_get_option( 'header-layout', 1 );
        $sticky_header = fluent_get_option( 'sticky-header', 1 );

        if ( isset($_GET['header']) && $_GET['header'] != '' ) {
            $layout = $_GET['header'];
        }

        if ( isset($_GET['sticky-header']) && $_GET['sticky-header'] == 1 ) {
            $sticky_header = 1;
        }

        if ( $sticky_header == 1 ) {
            echo '<div class="sticky-header-height"></div>';
        }

		get_template_part( 'views/header/header', $layout );
	}
}

/* 	Render Footer Layout
/* --------------------------------------------------------------------- */
if ( ! function_exists( 'fluent_footer' ) ) {
	function fluent_footer() {
		$layout = fluent_get_option( 'footer-layout', 1 );

        if ( isset($layout) && $layout == 1 ) {
            get_template_part( 'views/footer/footer', $layout );
        }
	}
}

/* 	Fluent Toggle Box
/* --------------------------------------------------------------------- */
if ( ! function_exists( 'fluent_toggle_box' )  ) {
	function fluent_toggle_box() {
        $header_icon = fluent_get_option('header-icon-style', 'inherit');

        if ( isset( $_GET['header_icon'] ) && $_GET['header_icon'] != '' ) $header_icon = $_GET['header_icon'];
		?>
		<div class="btn-group" id="toggle-box">
			<a href="javascript:void(0)" class="toggle-sidebar">
                <?php if ( $header_icon == 'white' ) : ?>
                    <i class="icon-menu light"></i>
                <?php elseif ( $header_icon == 'black' ) : ?>
                    <i class="icon-menu"></i>
                <?php else : ?>
                    <i class="icon-menu"></i>
                <?php endif; ?>
			</a>
		</div>
		<?php
	}
}

/* 	Custom Login Logo
/* --------------------------------------------------------------------- */
if ( ! function_exists( 'fluent_login_logo' ) ) {
    function fluent_login_logo() {
        $login_logo = fluent_get_option('login-logo');

        $login_logo_url = ( isset($login_logo['url']) && $login_logo['url'] ) ? $login_logo['url'] : FLUENT_URL . '/assets/images/logo.png';
        echo '<style type="text/css"> h1 a { background: url(' . esc_url($login_logo_url) . ') center no-repeat !important; width:302px !important; height:67px !important; } </style>';
    }
    add_action('login_head', 'fluent_login_logo');
}


/* 	Language Dropdown
/* --------------------------------------------------------------------- */
if ( ! function_exists( 'fluent_language' )  ) {
	function fluent_language() {

        $language_name_1 = fluent_get_option( 'language-name-1' );
        $language_name_2 = fluent_get_option( 'language-name-2' );
        $language_name_3 = fluent_get_option( 'language-name-3' );
        $language_link_1 = fluent_get_option( 'language-link-1' );
        $language_link_2 = fluent_get_option( 'language-link-2' );
        $language_link_3 = fluent_get_option( 'language-link-3' );

		$output = '';
        if ( $language_link_1 ||  $language_link_2 || $language_link_3 ) {

    		$output .= '<div class="btn-group compact-hidden">';
                if ( $language_link_1 ) {
                    $output .= '<a href="javascript:void(0)" class="dropdown-toggle" data-toggle="dropdown">'. esc_attr( $language_name_1 ) .'</a>';
                }

                $output .= '<div class="dropdown-menu">';
    				$output .= '<ul>';
                        if ( $language_link_1 ) {
                            $output .= '<li><a href="' . esc_url( $language_link_1 ) . '">'. esc_attr( $language_name_1 ) .'</a></li>';
                        }
                        if ( $language_link_2 ) {
                            $output .= '<li><a href="' . esc_url( $language_link_2 ) . '">'. esc_attr( $language_name_2 ) .'</a></li>';
                        }
                        if ( $language_link_3 ) {
                            $output .= '<li><a href="' . esc_url( $language_link_3 ) . '">'. esc_attr( $language_name_3 ) .'</a></li>';
                        }
    				$output .= '</ul>';
    			$output .= '</div>';

    		$output .= '</div>';

        }

		return apply_filters( 'fluent_language', $output );
	}
}


/* 	Fluent Post Thumbnail
/* --------------------------------------------------------------------- */
if ( ! function_exists ('fluent_post_thumbnail')  ) {
    function fluent_post_thumbnail() {
        if ( has_post_thumbnail() ) {
            ?>
            <div class="post-thumbnail mb_25">
                <a href="<?php esc_url( the_permalink() ); ?>" rel="bookmark" title="<?php the_title(); ?>">
                    <?php the_post_thumbnail( 'post-thumbnail', array( 'alt' => get_the_title() ) ); ?>
                </a>
            </div>
            <?php
        }
    }
}

/**
 * Prints post title.
 *
 * @return string
 */
if ( ! function_exists( 'fluent_post_title' ) ) {
	function fluent_post_title() {
		$output = '';

		if ( !is_single() ) {
			$output .= sprintf( '<h2 class="post-title entry-title mb_7"><a class="chp" href="%2$s" rel="bookmark">%1$s</a></h2>', get_the_title(), esc_url( get_permalink() ) );
		} else {
			$output .= sprintf( '<h1 class="post-title entry-title">%s</h1>', get_the_title() );
		}

		echo apply_filters( 'fluent_post_title', $output );
	}
}

/**
 * Prints post meta with the post author, categories and post comments.
 *
 * @return string
 */
if ( ! function_exists( 'fluent_post_meta' ) ) {
	function fluent_post_meta() {
		$output = '';
		// Post author
		$output .= sprintf(
			esc_html__( '%1$s', 'fluent' ),
			'<span class="author">'. esc_html__('By', 'fluent') .' <a href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '">' . esc_html( get_the_author() ) . '</a></span>'

		);

		$time = '<span class="time updated">%2$s</span>';
		$output .= sprintf( $time,
			esc_attr( get_the_date( 'c' ) ),
			esc_html( get_the_date() )
		);

		// Post comments
		if ( ! post_password_required() && ( comments_open() || get_comments_number() ) ) {
			$output .= sprintf( '<span class="comment-number"><a href="%2$s">' . esc_html__( '%1$s Comment', get_comments_number(), 'fluent' ) . '</a></span>', number_format_i18n( get_comments_number() ), get_comments_link() );
		}

		echo apply_filters( 'fluent_post_meta', '<div class="post-meta">' . $output . '</div>' );
	}
}


/**
 * Custom function to use to open and display each comment
 *
 * @since 1.0.0
 */
if ( ! function_exists( 'fluent_comments_list' ) ) {
	function fluent_comments_list( $comment, $args, $depth ) {
	// Globalize comment object
		$GLOBALS['comment'] = $comment;

		switch ( $comment->comment_type ) :

			case 'pingback'  :
			case 'trackback' :
				?>
				<li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">
					<p>
						<?php
							echo esc_html__( 'Pingback:', 'fluent' );
							comment_author_link();
							edit_comment_link( esc_html__( 'Edit', 'fluent' ), '<span class="edit-link">', '</span>' );
						?>
					</p>
				<?php
			break;

			default :
				global $post;
				?>
				<li <?php comment_class( 'mb_60' ); ?> id="li-comment-<?php comment_ID(); ?>">
                    <article id="comment-<?php comment_ID(); ?>" class="comment_container">
                    	<?php echo get_avatar( $comment, 80 ); ?>

						<div class="comment-text">
							<?php if ( '0' == $comment->comment_approved ) : ?>
								<p class="comment-awaiting-moderation"><?php echo esc_html__( 'Your comment is awaiting moderation.', 'fluent' ); ?></p>
							<?php endif; ?>

							<?php
								printf(
								'<h5 class="comment-author"><span>%1$s</span></h5>',
									get_comment_author_link(),
									( $comment->user_id == $post->post_author ) ? '<span class="author-post">' . esc_html__( 'Post author', 'fluent' ) . '</span>' : ''
								);
							?>
							<div>
								<?php comment_text(); ?>
							</div>


							<div class="flex">
								<?php
									printf(
										'<time class="grow">%3$s</time>',
										esc_url( get_comment_link( $comment->comment_ID ) ),
										get_comment_time( 'c' ),
										sprintf( wp_kses_post( '%1$s at %2$s', 'fluent' ), get_comment_date(), get_comment_time() )
									);
								?>
								<?php
									edit_comment_link( wp_kses_post( '<span>' . esc_html__( 'Edit', 'fluent' ) . '</span>', 'fluent' ) );
									comment_reply_link(
										array_merge(
											$args,
											array(
												'reply_text' => wp_kses_post( '<span class="ml__10">' . esc_html__( 'Reply', 'fluent' ) . '</span>', 'fluent' ),
												'depth'      => $depth,
												'max_depth'  => $args['max_depth'],
											)
										)
									);
								?>
							</div><!-- .action-link -->
						</div><!-- .comment-content -->
					</article><!-- #comment- -->
				<?php
			break;

		endswitch;
	}
}

/**
 * Display navigation to next/previous set of posts when applicable.
 *
 * @return string
 */
if ( ! function_exists( 'fluent_post_pagination' ) ) {
	function fluent_post_pagination( $nav_query = false ) {

		global $wp_query, $wp_rewrite;

		// Don't print empty markup if there's only one page.
		if ( $GLOBALS['wp_query']->max_num_pages < 2 ) {
			return;
		}

		// Prepare variables
		$query        = $nav_query ? $nav_query : $wp_query;
		$max          = $query->max_num_pages;
		$current_page = max( 1, get_query_var( 'paged' ) );
		$big          = 999999;
		?>
		<nav class="pagination-block tc">
			<?php
				echo '' . paginate_links(
					array(
						'base'      => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
						'format'    => '?paged=%#%',
						'current'   => $current_page,
						'total'     => $max,
						'type'      => 'list',
						'prev_text' => '<i class="fa fa-angle-left"></i>',
						'next_text' => '<i class="fa fa-angle-right"></i>',
					)
				) . ' ';
			?>
		</nav><!-- .page-nav -->
		<?php
	}
}

/**
 * Render post tags.
 */
if ( ! function_exists( 'fluent_post_tags' ) ) {
	function fluent_post_tags() {
		$output = '';

		// Get the tag list
		$tags_list = get_the_tag_list( '', esc_html__( ', ', 'fluent' ) );
        if ( !$tags_list ) return;
		$output .= sprintf( '<i class="pe-7s-ticket"></i> ' . esc_html__( '%1$s', 'fluent' ), $tags_list );
        echo apply_filters( 'fluent_post_tags', '<div class="post-tags mb_30">' . $output . '</div>' );
	}
}

/**
 * Render post categories.
 */
if ( ! function_exists( 'fluent_post_categories' ) ) {
    function fluent_post_categories() {
        $categories_list = get_the_category_list( ' ' );
		if ( $categories_list ) {
            echo apply_filters( 'fluent_post_categories', '<div class="post-category mb_20">' . $categories_list . '</div>' );
		}
    }
}

/**
 * Next and previous article
 */

if ( ! function_exists('fluent_post_navigation')) {
	function fluent_post_navigation() {

		$html = '';

		$next_post = get_next_post();
		$prev_post = get_previous_post();

		if ( !empty($next_post) || !empty($prev_post) ) {

            if (!empty($prev_post)) {
	            $html .= '<div class="post-prev-post">';
	            $html .= '<div class="post-next-prev-content"><span class="db">' . esc_html__('Previous article', 'fluent') . '</span>';
	            $html .= '<a href="' . esc_url(get_permalink($prev_post->ID)) . '">' . get_the_title( $prev_post->ID ) . '</a>';
	            $html .= '</div>';
	            $html .= '</div>';
	        } else {
	            $html .= '<div class="post-prev-post">';
	            $html .= '</div>';
	        }

	        if (!empty($next_post)) {
	            $html .= '<div class="post-next-post tr">';
	            $html .= '<div class="post-next-prev-content"><span class="db">' . esc_html__('Next article', 'fluent') . '</span>';
	            $html .= '<a href="' . esc_url(get_permalink($next_post->ID)) . '">' . get_the_title( $next_post->ID ) . '</a>';
	            $html .= '</div>';
	            $html .= '</div>';
	        }

		}

        echo apply_filters( 'fluent_post_navigation', '<div class="post-navigation flex between-xs mb_30">' . $html . '</div>' );
	}
}

/**
 * Render related post based on post tags.
 */
if ( ! function_exists( 'fluent_related_post' ) ) {
	function fluent_related_post() {
		global $post;

		// Get post's tags
		$tags = wp_get_post_tags( $post->ID );

		if ( $tags ) {
			// Get id for all tags
			$tag_ids = array();

			foreach ( $tags as $tag ) {
				$tag_ids[] = $tag->term_id;
			}

			// Build arguments to query for related posts
			$args = array(
				'tag__in'             => $tag_ids,
				'post__not_in'        => array( $post->ID ),
				'posts_per_page'      => 5,
				'ignore_sticky_posts' => 1,
				'orderby'             => 'rand',
			);

			// Get related post
			$related = new wp_query( $args );

			$output = '';
			$output .= '<div class="post-related mt_50 mb_100">';
                $output .= '<div class="addon-title">';
				$output .= '<h3>' . esc_html__( 'Related Articles', 'fluent' ) . '</h3>';
                $output .= '</div>';
				$output .= '<div class="related-post-carousel owl-carousel owl-theme" data-carousel=\'{"selector":".related-post-carousel", "itemDesktop": 3, "itemMedium": 3, "itemTablet": 2, "itemMobile": 1, "margin":30 , "nav":true}\'>';
					while ( $related->have_posts() ) :
						// Update global post data
						$related->the_post();

						$output .= '<div class="item">';
							if ( has_post_thumbnail() ) {
								$output .= '<a class="db mb_15" href="' . esc_url( get_permalink() ) . '">';
									$img = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
									$image = aq_resize( $img[0], 300, 300, true );
									$output .= '<img src="' . esc_url( $image ) . '" width="370" height="370" alt="' . get_the_title() . '" />';
								$output .= '</a>';
							}
							$output .= '<h4 class="mg_0"><a href="' . esc_url( get_permalink() ) . '">' . get_the_title() . '</a></h4>';
                            $output .= '<span class="db date">' . get_the_date() . '</span>';
						$output .= '</div>';
					endwhile;
				$output .= '</div>';
			$output .= '</div>';

			// Reset global query object
			wp_reset_postdata();

			echo apply_filters( 'fluent_related_post', $output );
		}
	}
}

/**
 *
 * Limit Post Excerpt Length
 *
 */
if ( ! function_exists('fluent_post_excerpt') ) {
	function fluent_post_excerpt( $limit ) {
	  	$excerpt = explode(' ', get_the_excerpt(), $limit);

	  	if ( count($excerpt) >= $limit ) {
	    	array_pop( $excerpt );
	    	$excerpt = implode(" ",$excerpt).'...';
	  	} else {
	    	$excerpt = implode(" ",$excerpt);
	  	}

	  	$excerpt = preg_replace('`[[^]]*]`','',$excerpt);

	  	echo $excerpt;
	}
}
