<?php
    $topBar            = fluent_get_option('topbar', 0);
    $topBarStyle       = (fluent_get_option( 'topbar-color' ) == 'light') ? 'light' : 'dark';
    $topBarPhone       = fluent_get_option( 'topbar-phone', '01 1 2268 7749' );
    $topBarEmail       = fluent_get_option( 'topbar-email', 'fluentcare@demo.com' );
    $topBarAccount     = fluent_get_option( 'show-account-box', 1 );
    $topBarLanguage    = fluent_get_option( 'show-language-box', 0 );
    $topBarCurrency    = fluent_get_option( 'show-currency-box', 0 );
    $topBarSocial      = fluent_get_option( 'show-social-box', 0 );
    $showSearchForm    = fluent_get_option('show-search-form', 1);
    $showCartButton    = fluent_get_option('show-cart-button', 1);

    $header_container = fluent_get_option( 'header-fullwidth', 1 );

    $header_icon_class = fluent_get_option('header-icon-style', 'inherit');
    if ( isset( $_GET['header_icon'] ) && $_GET['header_icon'] == 'white' ) {
        $header_icon_class = 'white';
    }

    // Header container
    $header_container_class = '';
    if ( $header_container == 0 ) {
        $header_container_class = 'container';
    } else {
        $header_container_class = 'container-fluid';
    }

    if ( isset($_GET['header_container']) && $_GET['header_container'] == 1 ) {
        $header_container_class = 'container';
    } elseif ( isset($_GET['header_container']) && $_GET['header_container'] == 0 ) {
        $header_container_class = 'container-fluid';
    }

    if ( isset($_GET['topbar']) && $_GET['topbar'] == 1 ) {
        $topBar = 1;
    } elseif ( isset($_GET['topbar']) && $_GET['topbar'] == 0 ) {
        $topBar = 0;
    }
?>
<header id="header-wrapper" class="header-3">
    <?php if ( $topBar == 1 ) : ?>
        <div class="top-header <?php echo esc_attr($topBarStyle); ?>">
            <div class="<?php echo esc_attr( $header_container_class ); ?>">
                <div class="header-row row">
                    <div class="header-position col-lg-6 col-md-6 col-sm-12 col-xs-12 topheader-left">
                        <?php
                        if ( ! empty($topBarPhone) ) {
                            echo '<div class="header-block">';
                            echo apply_filters( 'fluent_post_meta', '<p>' . esc_html__( 'Call:', 'fluent' ) . ' ' . esc_attr( $topBarPhone ) . '</p>' );
                            echo '</div>';
                        }

                        if ( ! empty($topBarEmail) ) {
                            echo '<div class="header-block">';
                            echo apply_filters( 'fluent_post_meta', '<p>' . esc_html__( 'Email:', 'fluent' ) . ' ' . esc_attr( $topBarEmail ) . '</p>' );
                            echo '</div>';
                        }
                        ?>
                    </div>
                    <div class="header-position col-lg-6 col-md-6 hidden-sm hidden-xs tr topheader-right">
                        <?php if ( class_exists( 'WooCommerce' ) && $topBarAccount == 1 ) : ?>
                            <div class="header-block">
                                <?php echo fluent_my_account(); ?>
                            </div>
                        <?php endif; ?>
                        <?php if ( $topBarLanguage ): ?>
                            <div class="header-block">
                                <?php echo fluent_language(); ?>
                            </div>
                        <?php endif; ?>
                        <?php if ( class_exists( 'WooCommerce' ) && $topBarCurrency == 1 ) : ?>
                            <div class="header-block">
                                <?php echo fluent_currency(); ?>
                            </div>
                        <?php endif; ?>
                        <?php if ( $topBarSocial == 1 ): ?>
                            <div class="header-block">
                                <?php echo fluent_social(); ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <!-- top-header -->
    <?php endif; ?>
    <div class="main-header pt_35 pb_35">
        <div class="<?php echo esc_attr( $header_container_class ); ?>">
            <div class="header-row row flex middle-xs">
                <div class="header-position hidden-lg hidden-md col-sm-3 col-xs-3 menu-toggle pt_7">
                    <div class="header-block">
                        <div class="menu-button">
                            <i class="icon-menu"></i>
                        </div>
                    </div>
                </div>
                <div class="header-position col-lg-3 col-md-3 col-sm-6 col-xs-6 header-logo">
                    <div class="header-block">
                        <?php fluent_logo(); ?>
                    </div>
                </div>
                <!-- header-logo -->
                <div class="header-position col-md-9 col-sm-3 col-xs-3 header-action tr pt_7 <?php echo esc_attr( $header_icon_class ); ?>">
                    <?php if ( $showSearchForm ) : ?>
                        <div class="header-block hidden-sm hidden-xs">
                            <div class="btn-group" id="header-search">
                                <a href="javascript:void(0)" class="dropdown-toggle" data-toggle="dropdown">
                                    <i class="pe-7s-search"></i>
                                </a>
                                <div class="search-box">
                                    <?php get_search_form(); ?>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                    <?php if ( class_exists( 'WooCommerce' ) && $showCartButton ) : ?>
                        <div class="header-block">
                            <?php fluent_header_cart(); ?>
                        </div>
                    <?php endif; ?>
                    <div class="header-block hidden-sm hidden-xs">
                        <a href="javascript:void(0)" class="push-menu-btn"><i class="icon-menu"></i></a>
                    </div>
                </div>
                <!-- header-action -->
            </div>
        </div>
    </div>
    <?php if (has_nav_menu('primary-menu')) : ?>
        <div id="menu-fixed" class="right">
            <div class="menu-title flex between-xs"><?php esc_html_e( 'MENU', 'fluent' ) ?><i class="close-menu"></i></div>
            <?php
                $args = array(
                    'theme_location'  => 'primary-menu',
                    'container_class' => 'vertical-menu-wrapper',
                    'menu_class'      => 'vertical-menu tc',
                );
                wp_nav_menu( $args );
            ?>
            <div class="header-position header-extra tc pl_50 pr_50">
                <?php if ( class_exists( 'WooCommerce' ) && $topBarAccount == 1 ) : ?>
                    <div class="header-block">
                        <?php echo fluent_my_account(); ?>
                    </div>
                <?php endif; ?>
                <?php if ( $topBarLanguage == 1 ): ?>
                    <div class="header-block">
                        <?php echo fluent_language(); ?>
                    </div>
                <?php endif; ?>
                <?php if ( class_exists( 'WooCommerce' ) && $topBarCurrency == 1 ) : ?>
                    <div class="header-block">
                        <?php echo fluent_currency(); ?>
                    </div>
                <?php endif; ?>
            </div>
            <!-- header-extra -->

        </div>
    <?php else : ?>
        <div id="menu-fixed">
            <div class="menu-title flex between-xs"><?php esc_html_e( 'MENU', 'fluent' ) ?><i class="close-menu"></i></div>
            <div class="vertical-menu-wrapper">
                <ul class="vertical-menu tc">
                    <li><a href="<?php echo esc_url(home_url( '/' )) . 'wp-admin/nav-menus.php?action=locations'; ?>"><?php esc_html_e( 'Select or create a menu', 'fluent' ) ?></a></li>
                </ul>
            </div>
        </div>
    <?php endif; ?>
</header>
