<?php
	$show_feature_image   = fluent_get_option('show-feature-image', 1);
	$show_related_posts   = fluent_get_option('show-related-posts', 1);
	$show_post_navigation = fluent_get_option('show-post-navigation', 1);
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('single-post'); ?>>
	<?php fluent_post_categories(); ?>
	<?php fluent_post_title(); ?>
	<div class="social-meta mb_20">
		<?php fluent_post_meta(); ?>
	</div>
	<?php
		if( isset($show_feature_image) && $show_feature_image == 1 ) {
			fluent_post_thumbnail();
		}
	?>
	<div class="entry-content mb_40">
		<?php the_content(); ?>
	</div>

</article><!-- #post-# -->
<div class="clearfix"></div>
<?php

wp_link_pages( array(
	'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'fluent' ) . '</span>',
	'after'       => '</div>',
	'link_before' => '<span>',
	'link_after'  => '</span>',
	'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'fluent' ) . ' </span>%',
	'separator'   => '<span class="screen-reader-text">, </span>',
) );

fluent_post_tags();

if( isset($show_post_navigation) && $show_post_navigation == 1 ) {
	fluent_post_navigation();
}
if( isset($show_related_posts) && $show_related_posts == 1 ) {
	fluent_related_post();
}

//If comments are open or we have at least one comment, load up the comment template.
if ( comments_open() || get_comments_number() ) :
	comments_template();
endif;
?>
