<?php

/*
* Plugin Name: Jms Slider Layer
* Plugin URI: http://joommasters.com
* Description: Responsive Wordpress Slider Plugin
* Version: 1.0
* Author: Joommasters
* Author URI: http://joommasters.com
* License:     GPL2
* License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/

if ( ! defined( 'ABSPATH' )) {
	exit;
}	
global $wpdb;
if(isset($_GET['id']))
	$id = (int)$_GET['id'];
$slider_row = $wpdb->get_row( "SELECT * FROM " . $wpdb->prefix . "jms_sliders WHERE id_slider = ".$id."" );
$slider_list_safe_link = wp_nonce_url( 'admin.php?page=jmssliderlayer');
?>
<div class="wrap jmsslider">
	<h2><?php echo esc_html_e( 'Slider title and shortcode', 'jmsslider' );?>
	<a href="<?php echo $slider_list_safe_link; ?>" class="btn pull-right"><?php echo esc_html_e( 'Back to Slider List', 'jmsslider' );?></a>
	</h2>
	<form action="" method="POST">
		<div class="add-slider">
			<div class="row-input">
				<input type="text" id="title" name="title" value="<?php if(!empty($slider_row->title)) {echo $slider_row->title;} else {echo 'New slider';} ?>" placeholder="<?php echo esc_html_e( 'Enter your Slider Name here', 'jmsslider' );?>" autofocus="autofocus">
				<p class="description"><?php echo esc_html_e( 'The title of the slider, example: Slider 1', 'jmsslider' );?></p>
			</div>
			<div class="row-input">
				<input type="text" id="alias" name="alias" value="<?php if(!empty($slider_row->alias)) {echo $slider_row->alias;} else {echo '';} ?>" placeholder="<?php echo esc_html_e( 'Enter your Slider Alias here', 'jmsslider' );?>">
				<p class="description"><?php echo esc_html_e( 'The alias for embedding your slider, example: slider1', 'jmsslider' );?></p>
			</div>
			<div class="row-input">
				<input type="text" id="shortcode-alias" name="shortcode-alias" value="[jmsslider alias='<?php if(isset($slider_row->alias)) echo $slider_row->alias; ?>']" readonly="readonly">
				<p class="description"><?php echo esc_html_e( 'Place the shortcode where you want to show the slider', 'jmsslider' );?></p>
			</div>
			<button type="submit" class="btn btn-success fixed-right"><?php echo esc_html_e( 'SAVE', 'jmsslider' );?></button>
		</div><!-- add slider -->
		<?php
		if(isset($slider_row)) {
			$json = $slider_row->settings; 
			$j_setting = json_decode($json); 

			$delay              = $j_setting->delay;
			$duration           = $j_setting->duration;
			$position_x         = $j_setting->position_x;
			$position_y         = $j_setting->position_y;
			$transition_all     = $j_setting->transition_all;
			$transition_in      = $j_setting->transition_in;
			$transition_out     = $j_setting->transition_out;
			$ease_in            = $j_setting->ease_in;
			$ease_out           = $j_setting->ease_out;
			$speed_in           = $j_setting->speed_in;
			$speed_out          = $j_setting->speed_out;
			$max_width          = $j_setting->max_width;
			$max_height         = $j_setting->max_height;
			$background_animate = $j_setting->background_animate;
			$background_ease    = $j_setting->background_ease;
			$end_animate        = $j_setting->end_animate;
			$full_width         = $j_setting->full_width;
			$full_height        = $j_setting->full_height;
			$responsive         = $j_setting->responsive;
			$auto_change        = $j_setting->auto_change;
			$pause_hover        = $j_setting->pause_hover;
			$show_pagers        = $j_setting->show_pagers;
			$show_controls      = $j_setting->show_controls;
		}	
		 $slide_transitions =array(
            0 => array('id' => 'none', 'name' => 'none'),
            1 => array('id' => 'fade', 'name' => 'Fade'),
            2 => array('id' => 'slideLeft', 'name' => 'Left'),
            3 => array('id' => 'slideRight', 'name' => 'Right'),
            4 => array('id' => 'slideTop', 'name' => 'Top'),
            5 => array('id' => 'slideBottom', 'name' => 'Bottom'),
            6 => array('id' => 'scrollLeft', 'name' => 'Scroll Left'),
            7 => array('id' => 'scrollRight', 'name' => 'Scroll Right'),
            8 => array('id' => 'scrollTop', 'name' => 'Scroll Top'),
            9 => array('id' => 'scrollBottom', 'name' => 'Scroll Bottom'),
            );
        $transitions =array(
            0 => array('id' => 'none', 'name' => 'none'),
            1 => array('id' => 'fade', 'name' => 'Fade'),
            2 => array('id' => 'left', 'name' => 'Left'),
            3 => array('id' => 'right', 'name' => 'Right'),
            4 => array('id' => 'top', 'name' => 'Top'),
            5 => array('id' => 'bottom', 'name' => 'Bottom'),
            6 => array('id' => 'topLeft', 'name' => 'Top Left'),
            7 => array('id' => 'bottomLeft', 'name' => 'Bottom Left'),
            8 => array('id' => 'topRight', 'name' => 'Top Right'),
            9 => array('id' => 'bottomRight', 'name' => 'Bottom Right'),
            );
		$eases = array(
            0 => array('id' => 'linear', 'name' => 'linear'),
            1 => array('id' => 'swing', 'name' => 'swing'),
            2 => array('id' => 'easeInQuad', 'name' => 'easeInQuad'),
            3 => array('id' => 'easeOutQuad', 'name' => 'easeOutQuad'),
            4 => array('id' => 'easeInOutQuad', 'name' => 'easeInOutQuad'),
            5 => array('id' => 'easeInCubic', 'name' => 'easeInCubic'),
            6 => array('id' => 'easeOutCubic', 'name' => 'easeOutCubic'),
            7 => array('id' => 'easeInOutCubic', 'name' => 'easeInOutCubic'),
            8 => array('id' => 'easeInQuart', 'name' => 'easeInQuart'),
            9 => array('id' => 'easeOutQuart', 'name' => 'easeOutQuart'),
            10 => array('id' => 'easeInOutQuart', 'name' => 'easeInOutQuart'),
            11 => array('id' => 'easeInQuint', 'name' => 'easeInQuint'),
            12 => array('id' => 'easeOutQuint', 'name' => 'easeOutQuint'),
            13 => array('id' => 'easeInOutQuint', 'name' => 'easeInOutQuint'),
            14 => array('id' => 'easeInExpo', 'name' => 'easeInExpo'),
            15 => array('id' => 'easeOutExpo', 'name' => 'easeOutExpo'),
            16 => array('id' => 'easeInOutExpo', 'name' => 'easeInOutExpo'),
            17 => array('id' => 'easeInSine', 'name' => 'easeInSine'),
            18 => array('id' => 'easeOutSine', 'name' => 'easeOutSine'),
            19 => array('id' => 'easeInOutSine', 'name' => 'easeInOutSine'),
            20 => array('id' => 'easeInCirc', 'name' => 'easeInCirc'),
            21 => array('id' => 'easeOutCirc', 'name' => 'easeOutCirc'),
            22 => array('id' => 'easeInOutCirc', 'name' => 'easeInOutCirc'),
            23 => array('id' => 'easeInElastic', 'name' => 'easeInElastic'),
            24 => array('id' => 'easeOutElastic', 'name' => 'easeOutElastic'),
            25 => array('id' => 'easeInOutElastic', 'name' => 'easeInOutElastic'),
            26 => array('id' => 'easeInBack', 'name' => 'easeInBack'),
            27 => array('id' => 'easeOutBack', 'name' => 'easeOutBack'),
            28 => array('id' => 'easeInOutBack', 'name' => 'easeInOutBack'),
            23 => array('id' => 'easeInBounce', 'name' => 'easeInBounce'),
            24 => array('id' => 'easeOutBounce', 'name' => 'easeOutBounce'),
            25 => array('id' => 'easeInOutBounce', 'name' => 'easeInOutBounce'),
            );	
		?>
		<div class="setting-wrap">
			<div class="option-block col-6">
				<h3><?php echo esc_html_e( 'Slider Settings', 'jmsslider' );?></h3>
				<div class="form-group has-background">
					<label for="JMS_SLIDER_DELAY"><?php echo esc_html_e( 'Start after', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Default delay for elements', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input name="JMS_SLIDER_DELAY" id="JMS_SLIDER_DELAY" value="<?php if(isset($delay)) { echo $delay; } else { echo '1000';} ?>" type="text">
					<span>ms</span>
				</div>
				<div class="form-group">
					<label for="JMS_SLIDER_DURATION"><?php echo esc_html_e( 'Duration', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'default timeout before switching slides', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input name="JMS_SLIDER_DURATION" id="JMS_SLIDER_DURATION" value="<?php if(isset($duration)) { echo $duration; } else { echo '5000';} ?>" type="text">
					<span>ms</span>
				</div>
				<div class="form-group has-background">
					<label for="JMS_SLIDER_X"><?php echo esc_html_e( 'Position X', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Default X position', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input name="JMS_SLIDER_X" id="JMS_SLIDER_X" value="<?php if(isset($position_x)) { echo $position_x; } else { echo '0';} ?>" type="text">
					<span>px</span>
				</div>
				<div class="form-group">
					<label for="JMS_SLIDER_Y"><?php echo esc_html_e( 'Position Y', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Default Y position', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input name="JMS_SLIDER_Y" id="JMS_SLIDER_Y" value="<?php if(isset($position_y)) { echo $position_y; } else { echo '0';} ?>" type="text">
					<span>px</span>
				</div>
				<div class="form-group has-background">
					<label for="JMS_SLIDER_TRANSITION"><?php echo esc_html_e( 'Transition All', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Default Transition for All', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<select id="JMS_SLIDER_TRANSITION" name="JMS_SLIDER_TRANSITION">
						<?php foreach($slide_transitions as $transition) {?>
						<option value="<?php echo $transition['id'];?>" <?php if (isset($transition_all) && $transition_all == $transition['id']) echo 'selected="selected"';?>><?php echo $transition['name'];?></option>
						<?php } ?>						
			        </select>
				</div>
				<div class="form-group">
					<label for="JMS_SLIDER_TRANSITION_IN"><?php echo esc_html_e( 'Transition In', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Default Transition In', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<select id="JMS_SLIDER_TRANSITION_IN" name="JMS_SLIDER_TRANSITION_IN">
						<?php foreach($transitions as $transition) {?>
						<option value="<?php echo $transition['id'];?>" <?php if (isset($transition_in) && $transition_in == $transition['id']) echo 'selected="selected"';?>><?php echo $transition['name'];?></option>
						<?php } ?>
			        </select>
				</div>
				<div class="form-group has-background">
					<label for="JMS_SLIDER_TRANSITION_OUT"><?php echo esc_html_e( 'Transition Out', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Default Transition Out', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<select name="JMS_SLIDER_TRANSITION_OUT" id="JMS_SLIDER_TRANSITION_OUT">
					    <?php foreach($transitions as $transition) {?>
						<option value="<?php echo $transition['id'];?>" <?php if (isset($transition_out) && $transition_out == $transition['id']) echo 'selected="selected"';?>><?php echo $transition['name'];?></option>
						<?php } ?>
					</select>
				</div>
				<div class="form-group">
					<label for="JMS_SLIDER_EASE_IN"><?php echo esc_html_e( 'Ease In', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Default Easing In', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<select name="JMS_SLIDER_EASE_IN" id="JMS_SLIDER_EASE_IN">
					    <?php foreach($eases as $ease) {?>
						<option value="<?php echo $ease['id'];?>" <?php if(isset($ease_in) && $ease['id'] == $ease_in) echo 'selected="selected"'; ?>><?php echo $ease['name'];?></option>
						<?php } ?>
					</select>
				</div>
				<div class="form-group has-background">
					<label for="JMS_SLIDER_EASE_OUT"><?php echo esc_html_e( 'Ease Out', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Default Easing Out', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<select name="JMS_SLIDER_EASE_OUT" class="fixed-width-xl" id="JMS_SLIDER_EASE_OUT">
					    <?php foreach($eases as $ease) {?>
						<option value="<?php echo $ease['id'];?>" <?php if(isset($ease_out) && $ease['id'] == $ease_out) echo 'selected="selected"'; ?>><?php echo $ease['name'];?></option>
						<?php } ?>
					</select>
				</div>
				<div class="form-group">
					<label for="JMS_SLIDER_SPEED_IN"><?php echo esc_html_e( 'Speed In', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Default in - transition speed', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input name="JMS_SLIDER_SPEED_IN" id="JMS_SLIDER_SPEED_IN" value="<?php if(isset($speed_in)) {echo $speed_in;} else {echo '0';}?>" type="text">
					<span>ms</span>
				</div>
				<div class="form-group has-background">
					<label for="JMS_SLIDER_SPEED_OUT"><?php echo esc_html_e( 'Speed Out', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Default out - transition speed', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input name="JMS_SLIDER_SPEED_OUT" id="JMS_SLIDER_SPEED_OUT" value="<?php if(isset($speed_out)) {echo $speed_out;} else {echo '0';}?>" type="text">
					<span>ms</span>
				</div>
			</div><!-- option block -->
			

			<div class="option-block col-6">
				<h3><?php echo esc_html_e( 'Plugin Method', 'jmsslider' );?></h3>
				<div class="form-group has-background">
					<label for="JMS_SLIDER_MAX_WIDTH"><?php echo esc_html_e( 'Max Width', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Slide Width in Pixel', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input type="text" id="JMS_SLIDER_MAX_WIDTH" name="JMS_SLIDER_MAX_WIDTH" value="<?php if(isset($max_width)) {echo $max_width;} else {echo '1170';} ?>"> <span>px</span>
				</div>
				<div class="form-group">
					<label for="JMS_SLIDER_MAX_HEIGHT"><?php echo esc_html_e( 'Max Height', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Slide Height in Pixel', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input type="text" id="JMS_SLIDER_MAX_HEIGHT" name="JMS_SLIDER_MAX_HEIGHT" value="<?php if(isset($max_height)) {echo $max_height;} else {echo '450';} ?>"> <span>px</span>
				</div>
				<div class="form-group has-background">
					<label for=""><?php echo esc_html_e( 'Bacground Animate', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Bacground Animate', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input id="JMS_SLIDER_BG_ANIMATE_on" name="JMS_SLIDER_BG_ANIMATE" value="1" type="radio" <?php if(isset($background_animate) && (int)$background_animate == 1) echo 'checked="checked"';?>> <?php echo esc_html_e( 'Yes', 'jmsslider' );?>
					<input id="JMS_SLIDER_BG_ANIMATE_off" name="JMS_SLIDER_BG_ANIMATE" value="0" type="radio" <?php if(isset($background_animate) && (int)$background_animate == 0) echo 'checked="checked"';?>> <?php echo esc_html_e( 'No', 'jmsslider' );?>
				</div>
				<div class="form-group">
					<label for="JMS_SLIDER_BG_EASE"><?php echo esc_html_e( 'Background Ease', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Default background animation easing', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<select name="JMS_SLIDER_BG_EASE" id="JMS_SLIDER_BG_EASE">
					    <?php foreach($eases as $ease) {?>
						<option value="<?php echo $ease['id'];?>" <?php if(isset($background_ease) && $ease['id'] == $background_ease) echo 'selected="selected"'; ?>><?php echo $ease['name'];?></option>
						<?php } ?>
					</select>
				</div>
				<div class="form-group has-background">
					<label for="JMS_SLIDER_END_ANIMATE"><?php echo esc_html_e( 'End animate slide', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'if set true, objects will transition out at slide end (before the slideTransition is called)', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input id="JMS_SLIDER_END_ANIMATE_on" name="JMS_SLIDER_END_ANIMATE" value="1" type="radio" <?php if(isset($end_animate) && (int)$end_animate == 1) echo 'checked="checked"';?>> <?php echo esc_html_e( 'On', 'jmsslider' );?>
					<input id="JMS_SLIDER_END_ANIMATE_off" name="JMS_SLIDER_END_ANIMATE" value="0" type="radio" <?php if(isset($end_animate) && (int)$end_animate == 0) echo 'checked="checked"';?>> <?php echo esc_html_e( 'Off', 'jmsslider' );?>
				</div>
				<div class="form-group">
					<label for="JMS_SLIDER_FULL_WIDTH"><?php echo esc_html_e( 'FullWidth slide', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'transition over the full width of the window', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input id="JMS_SLIDER_FULL_WIDTH_on" name="JMS_SLIDER_FULL_WIDTH" value="1" type="radio" <?php if(isset($full_width) && (int)$full_width == 1) echo 'checked="checked"';?>> <?php echo esc_html_e( 'Yes', 'jmsslider' );?>
					<input id="JMS_SLIDER_FULL_WIDTH_off" name="JMS_SLIDER_FULL_WIDTH" value="0" type="radio" <?php if(isset($full_width) && (int)$full_width == 0) echo 'checked="checked"';?>> <?php echo esc_html_e( 'No', 'jmsslider' );?>
				</div>
				<div class="form-group">
					<label for="JMS_SLIDER_FULL_SCREEN"><?php echo esc_html_e( 'FullHeight slide', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'transition over the full height of the window', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input id="JMS_SLIDER_FULL_HEIGHT_on" name="JMS_SLIDER_FULL_HEIGHT" value="1" type="radio" <?php if(isset($full_height) && (int)$full_height == 1) echo 'checked="checked"';?>> <?php echo esc_html_e( 'Yes', 'jmsslider' );?>
					<input id="JMS_SLIDER_FULL_HEIGHT_off" name="JMS_SLIDER_FULL_HEIGHT" value="0" type="radio" <?php if(isset($full_height) && (int)$full_height == 0) echo 'checked="checked"';?>> <?php echo esc_html_e( 'No', 'jmsslider' );?>
				</div>
				
				<div class="form-group has-background">
					<label for="JMS_SLIDER_RESPONSIVE"><?php echo esc_html_e( 'Responsive', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Activates the responsive slider', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input id="JMS_SLIDER_RESPONSIVE_on" name="JMS_SLIDER_RESPONSIVE" value="1" type="radio" <?php if(isset($responsive) && (int)$responsive == 1) echo 'checked="checked"';?>> <?php echo esc_html_e( 'Yes', 'jmsslider' );?>
					<input id="JMS_SLIDER_RESPONSIVE_off" name="JMS_SLIDER_RESPONSIVE" value="0" type="radio" <?php if(isset($responsive) && (int)$responsive == 0) echo 'checked="checked"';?>> <?php echo esc_html_e( 'No', 'jmsslider' );?>
				</div>
				<div class="form-group">
					<label for="JMS_SLIDER_AUTO_CHANGE"><?php echo esc_html_e( 'Auto change slide', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Auto change slide', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input id="JMS_SLIDER_AUTO_CHANGE_on" name="JMS_SLIDER_AUTO_CHANGE" value="1" type="radio" <?php if(isset($auto_change) && (int)$auto_change == 1) echo 'checked="checked"';?>> <?php echo esc_html_e( 'Yes', 'jmsslider' );?>
					<input id="JMS_SLIDER_AUTO_CHANGE_off" name="JMS_SLIDER_AUTO_CHANGE" value="0" type="radio" <?php if(isset($auto_change) && (int)$auto_change == 0) echo 'checked="checked"';?>> <?php echo esc_html_e( 'No', 'jmsslider' );?>
				</div>
				<div class="form-group has-background">
					<label for="JMS_SLIDER_PAUSE_HOVER"><?php echo esc_html_e( 'Pause hover', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Pauses slider on hover (current step will still be completed)', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input id="JMS_SLIDER_PAUSE_HOVER_on" name="JMS_SLIDER_PAUSE_HOVER" value="1" type="radio" <?php if(isset($pause_hover) && (int)$pause_hover == 1) echo 'checked="checked"';?>> <?php echo esc_html_e( 'Yes', 'jmsslider' );?>
					<input id="JMS_SLIDER_PAUSE_HOVER_off" name="JMS_SLIDER_PAUSE_HOVER" value="0" type="radio" <?php if(isset($pause_hover) && (int)$pause_hover == 0) echo 'checked="checked"';?>> <?php echo esc_html_e( 'No', 'jmsslider' );?>
				</div>
				<div class="form-group">
					<label for="JMS_SLIDER_SHOW_PAGERS"><?php echo esc_html_e( 'Show pager', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Pager controls on/off', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input id="JMS_SLIDER_SHOW_PAGERS_on" name="JMS_SLIDER_SHOW_PAGERS" value="1" type="radio" <?php if(isset($show_pagers) && (int)$show_pagers == 1) echo 'checked="checked"';?>> <?php echo esc_html_e( 'Yes', 'jmsslider' );?>
					<input id="JMS_SLIDER_SHOW_PAGERS_off" name="JMS_SLIDER_SHOW_PAGERS" value="0" type="radio" <?php if(isset($show_pagers) && (int)$show_pagers == 0) echo 'checked="checked"';?>> <?php echo esc_html_e( 'No', 'jmsslider' );?>
				</div>
				<div class="form-group has-background">
					<label for="JMS_SLIDER_SHOW_CONTROLS"><?php echo esc_html_e( 'Show controls', 'jmsslider' );?>
						<div class="help">?
					        <div class="help-block">
						        <p><?php echo esc_html_e( 'Controls on/off', 'jmsslider' );?></p>
					        </div>
				        </div>
					</label>
					<input id="JMS_SLIDER_SHOW_CONTROLS_on" name="JMS_SLIDER_SHOW_CONTROLS" value="1" type="radio" <?php if(isset($show_controls) && (int)$show_controls == 1) echo 'checked="checked"';?>> <?php echo esc_html_e( 'Yes', 'jmsslider' );?>
					<input id="JMS_SLIDER_SHOW_CONTROLS_off" name="JMS_SLIDER_SHOW_CONTROLS" value="0" type="radio" <?php if(isset($show_controls) && (int)$show_controls == 0) echo 'checked="checked"';?>> <?php echo esc_html_e( 'No', 'jmsslider' );?>
				</div>

			</div><!-- option block -->
		</div><!-- setting wrap -->
		
	</form>
</div>
<?php
	if ($_SERVER['REQUEST_METHOD'] == 'POST') {

		$errors = array();

		if (empty($_POST['title'])) {
			$errors[] = 'title';
		} else {
			$title = sanitize_text_field($_POST['title']);
		}

		if (empty($_POST['alias'])) {
			$errors[] = 'alias';
		} else {
			$alias = sanitize_html_class($_POST['alias']);
		}

		// Settings
		if (empty($_POST['JMS_SLIDER_DELAY'])) {
			$delay = '1000';
		} else {
			$delay = intval($_POST['JMS_SLIDER_DELAY']);
		}

		if (empty($_POST['JMS_SLIDER_DURATION'])) {
			$duration = '7000';
		} else {
			$duration = intval($_POST['JMS_SLIDER_DURATION']);
		}

		if (empty($_POST['JMS_SLIDER_X'])) {
			$position_x = '0';
		} else {
			$position_x = intval($_POST['JMS_SLIDER_X']);
		}

		if (empty($_POST['JMS_SLIDER_Y'])) {
			$position_y = '0';
		} else {
			$position_y = intval($_POST['JMS_SLIDER_Y']);
		}

		if (isset($_POST['JMS_SLIDER_TRANSITION'])) {
			$transition = $_POST['JMS_SLIDER_TRANSITION'];	
		} else {
			$transition = 'fade';
		}

		if (isset($_POST['JMS_SLIDER_TRANSITION_IN'])) {
			$transition_in = $_POST['JMS_SLIDER_TRANSITION_IN'];	
		} else {
			$transition_in = 'fade';
		}
		
		if (isset($_POST['JMS_SLIDER_TRANSITION_OUT'])) {
			$transition_out = $_POST['JMS_SLIDER_TRANSITION_OUT'];
		} else {
			$transition_out = 'fade';
		}
		
		if (isset($_POST['JMS_SLIDER_EASE_IN'])) {
			$ease_in = $_POST['JMS_SLIDER_EASE_IN'];
		} else {
			$ease_in = 'linear';
		}
		
		if (isset($_POST['JMS_SLIDER_EASE_OUT'])) {
			$ease_out = $_POST['JMS_SLIDER_EASE_OUT'];	
		} else {
			$ease_out = 'linear';
		}

		if (empty($_POST['JMS_SLIDER_SPEED_IN'])) {
			$speed_in = '500';
		} else {
			$speed_in = intval($_POST['JMS_SLIDER_SPEED_IN']);
		}

		if (empty($_POST['JMS_SLIDER_SPEED_OUT'])) {
			$speed_out = '500';
		} else {
			$speed_out = intval($_POST['JMS_SLIDER_SPEED_OUT']);
		}

		if (empty($_POST['JMS_SLIDER_MAX_WIDTH'])) {
			$max_width = '1170';
		} else {
			$max_width = intval($_POST['JMS_SLIDER_MAX_WIDTH']);
		}
		
		if (empty($_POST['JMS_SLIDER_MAX_HEIGHT'])) {
			$max_height = '450';
		} else {
			$max_height = intval($_POST['JMS_SLIDER_MAX_HEIGHT']);
		}
		
		if (isset($_POST['JMS_SLIDER_BG_ANIMATE'])) {
			$bg_animate = $_POST['JMS_SLIDER_BG_ANIMATE'];
		} else {
			$bg_animate = '0';
		}
		
		if (isset($_POST['JMS_SLIDER_BG_EASE'])) {
			$bg_ease = $_POST['JMS_SLIDER_BG_EASE'];
		} else {
			$bg_ease = 'linear';
		}
		
		if (isset($_POST['JMS_SLIDER_END_ANIMATE'])) {
			$end_animate = $_POST['JMS_SLIDER_END_ANIMATE'];
		} else {
			$end_animate = '1';
		}
		
		if (isset($_POST['JMS_SLIDER_FULL_WIDTH'])) {
			$full_width = $_POST['JMS_SLIDER_FULL_WIDTH'];
		} else {
			$full_width = '0';
		}
		if (isset($_POST['JMS_SLIDER_FULL_HEIGHT'])) {
			$full_height = $_POST['JMS_SLIDER_FULL_HEIGHT'];
		} else {
			$full_height = '0';
		}
		if (isset($_POST['JMS_SLIDER_RESPONSIVE'])) {
			$responsive = $_POST['JMS_SLIDER_RESPONSIVE'];
		} else {
			$responsive = '1';
		}

		if (isset($_POST['JMS_SLIDER_AUTO_CHANGE'])) {
			$auto_change = $_POST['JMS_SLIDER_AUTO_CHANGE'];
		} else {
			$auto_change = '1';
		}

		if (isset($_POST['JMS_SLIDER_PAUSE_HOVER'])) {
			$pause_hover = $_POST['JMS_SLIDER_PAUSE_HOVER'];
		} else {
			$pause_hover = '1';
		}

		if (isset($_POST['JMS_SLIDER_SHOW_PAGERS'])) {
			$show_pagers = $_POST['JMS_SLIDER_SHOW_PAGERS'];
		} else {
			$show_pagers = '1';
		}

		if (isset($_POST['JMS_SLIDER_SHOW_CONTROLS'])) {
			$show_controls = $_POST['JMS_SLIDER_SHOW_CONTROLS'];
		} else {
			$show_controls = '1';
		}

		$m = array(
			'delay'              => $delay,
			'duration'           => $duration,
			'position_x'         => $position_x,
			'position_y'         => $position_y,
			'transition_all'     => $transition,
			'transition_in'      => $transition_in,
			'transition_out'     => $transition_out,
			'ease_in'            => $ease_in,
			'ease_out'           => $ease_out,
			'speed_in'           => $speed_in,
			'speed_out'          => $speed_out,
			'max_width'          => $max_width,
			'max_height'         => $max_height,
			'background_animate' => $bg_animate,
			'background_ease'    => $bg_ease,
			'end_animate'        => $end_animate,
			'full_width'         => $full_width,
			'full_height'         => $full_height,
			'responsive'         => $responsive,
			'auto_change'        => $auto_change,
			'pause_hover'        => $pause_hover,
			'show_pagers'        => $show_pagers,
			'show_controls'      => $show_controls
		);

		$data_setting = json_encode($m);
		
		if (empty($errors)) {
			global $wpdb;
			$slider_rows = $wpdb->get_results( "SELECT * FROM " . $wpdb->prefix . "jms_sliders WHERE id_slider != ".$id." AND alias = '".$alias."'" );
			if(count($slider_rows) > 0) {
				echo '<div id="message" class="error"><p>'.esc_html_e( 'This Alias is exist, please fill other Alias', 'jmsslider' ).'.</p></div>';	
				return;
			}	
			if (isset($id) && $id != 0) { //edit slider
				$add_slider = $wpdb->update(
					$wpdb->prefix . 'jms_sliders',
					array( 						
						'title'     => $title,
						'alias'     => $alias,
						'settings'  => $data_setting
					), 
					array( 'id_slider' => $id ), 
					array( 						
						'%s',
						'%s',
						'%s'
					), 
					array( '%d' )
				);								
				echo '<div class="updated"><p><strong>'; echo esc_html_e( 'The slider was updated successfully', 'jmsslider' ).'.</strong></p></div>';
				echo '<script>
					setTimeout(function(){location.href="admin.php?page=jmssliderlayer"} , 1000);
				</script>';	
			} else {
				$add_slider = $wpdb->insert( 
					$wpdb->prefix . 'jms_sliders',
					array(
						'title'     => $title,
						'alias'     => $alias,
						'settings'  => $data_setting
					), 
					array( 
						'%s', 
						'%s', 
						'%s' 
					) 
				);
				if($add_slider) {
					echo '<div class="updated"><p><strong>'; echo esc_html_e( 'The slider was added successfully', 'jmsslider' ).'.</strong></p></div>';
					echo '<script>
						setTimeout(function(){location.href="admin.php?page=jmssliderlayer"} , 5000);
					</script>';	
				} else {
					echo '<div id="message" class="error"><p>'; echo esc_html_e( 'Error in add process', 'jmsslider' ).'.</p></div>';
				}
			}
		} else {
			echo '<div id="message" class="error"><p>'; echo esc_html_e( 'Please fill all the required fields', 'jmsslider' ).'.</p></div>';
		}


	} //End if submit condition	
	


?>

