<?php

/*
* Plugin Name: Jms Slider Layer
* Plugin URI: http://joommasters.com
* Description: Responsive Wordpress Slider Plugin
* Version: 1.0
* Author: Joommasters
* Author URI: http://joommasters.com
* License:     GPL2
* License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/

	if ( ! defined( 'ABSPATH' )) {
		exit;
	}

	global $wpdb;

	if(isset($_GET['id'])) {
		$id = $_GET['id'];
	} else {
		$id = 0;
	}
	$_query = "SELECT *  FROM " . $wpdb->prefix . "jms_slider_slides WHERE id_slide = '". $id ."'";
	$slide = $wpdb->get_row( $_query );
	$slide_params = $slide->params; 
	$_params = json_decode($slide_params);
	$class = $_params->class;		
	$bg_type = $_params->bg_type;	
	$bg_color = $_params->bg_color;	
	$bg_image = $_params->bg_image;	
	$_query = "SELECT *  FROM " . $wpdb->prefix . "jms_sliders WHERE id_slider = '". $slide->id_slider ."'";
	$slider = $wpdb->get_row( $_query );
	$slider_settings = $slider->settings; 
	$_settings = json_decode($slider_settings, true);
	$_width = $_settings['max_width'];
	$_height = $_settings['max_height'];
	$data = $slide->layers; 		
	$layers = is_string( $data ) ? json_decode( $data, true ) : $data;		
	$list_slide_safe_link = wp_nonce_url( 'admin.php?page=jmssliderlayer&task=list_slides&id=' . esc_html($slide->id_slider), 'list_slides_' . $slide->id_slider, 'list_slides_nonce' );
	
	if ($_SERVER['REQUEST_METHOD'] == 'POST') {		
		$id_slide	= $_POST['id_slide'];				
		$layersjson = stripslashes_deep($_POST['layersjson']);	
		if($layersjson != $data) {	
			$update_slide = $wpdb->update(
				$wpdb->prefix . 'jms_slider_slides',
				array(
					'layers'  => $layersjson
				),
				array( 'id_slide' => $id_slide ), 
				array( 										
					'%s'
				),
				array( '%d' )	
			);		
			if($update_slide) {
				echo '<div class="updated"><p><strong>'; echo esc_html_e( 'The slide layers was updated successfully', 'jmsslider' ).'.</strong></p></div>';					
				echo '<script>
							setTimeout(function(){ window.location.reload(1); } , 3000);
					  </script>';
			} else {
				echo '<div id="message" class="error"><p>'; echo esc_html_e( 'Error in update process', 'jmsslider' ).'.</p></div>';
			}
		} else {
			echo '<div id="message" class="error"><p>'; echo esc_html_e( 'Data is same', 'jmsslider' ).'!</p></div>';
		}			
	}
?>	
<div class="wrap layer-manager jmsslider">
<h2><?php echo esc_html_e( 'Layers Manager', 'jmsslider' );?>
<a href="<?php echo $list_slide_safe_link; ?>" class="btn pull-right"><?php echo esc_html_e( 'Back to Slides List', 'jmsslider' );?></a>
</h2>
		<div id="layer-tools" class="layer-tools">
			<a class="btn btn-tool" id="add-text"><i class="dashicons dashicons-format-aside"></i> <?php echo esc_html_e( 'Add Text Layer', 'jmsslider' );?></a>
			<a class="btn btn-tool" id="add-image"><i class="dashicons dashicons-format-image"></i> <?php echo esc_html_e( 'Add Image Layer', 'jmsslider' );?></a>
			<a class="btn btn-tool" id="add-video"><i class="dashicons dashicons-format-video"></i> <?php echo esc_html_e( 'Add Video', 'jmsslider' );?></a>
			<a class="btn btn-tool" id="add-link"><i class="dashicons dashicons-admin-links"></i> <?php echo esc_html_e( 'Add Link', 'jmsslider' );?></a>
			<button id="save-layers" type="submit" class="btn btn-success fixed-right" title="Save Layers"><?php echo esc_html_e( 'Save', 'jmsslider' );?></button>			
			<a class="btn btn-tool pull-right" id="del-layer" title="Delete Layer"><i class="dashicons dashicons-trash"></i> <?php echo esc_html_e( 'Delete Layer', 'jmsslider' );?></a>
			<a class="btn btn-tool pull-right" id="duplicate-layer" title="Duplicate Layer"><i class="dashicons dashicons-admin-page"></i> <?php echo esc_html_e( 'Duplicate Layer', 'jmsslider' );?></a>
		</div> 
		<div class="wrap-slider" id="wrap-slider">
			<div id="horlinie"><div id="horlinetext">0</div></div>
			<div id="verlinie"><div id="verlinetext">0</div></div>
			<div id="hor-css-linear"><ul class="linear-texts"></ul></div>
			<div id="ver-css-linear"><ul class="linear-texts"></ul></div>
			<div class="layers-wrapper">
				<div class="slider-background" style="<?php if ($_height) echo "height:".$_height."px;"?><?php if ($_width) echo "width:".$_width."px;"?>">
					<div id="frame_layer" class="slider fraction-slider" style="<?php if($bg_type == 'image') { if(strpos($bg_image, "http") !== false) $bg_url = $bg_image; else $bg_url = site_url().$bg_image; echo 'background:url('.$bg_url.')  no-repeat scroll center center / cover;';?> <?php } else { ?>background-color:<?php echo $bg_color; ?>;<?php } ?>background-size:100% 100%;position:relative;width:100%;height:100%" >										
						<?php 
						if(count($layers)) {
						foreach ($layers as $key => $layer) {						
							$data_arr = array();
							foreach ($layer as $key => $val) {
								$data_arr[] = 'data-'.$key.'="'.htmlentities($val).'"'; 
							}	
							$data_str = implode(" ",$data_arr);						
							?>			
							<div class="tp-caption <?php if(isset($layer['class'])) echo $layer['class'];?>" <?php echo $data_str;?> style="<?php if (isset($layer['videobg']) && $layer['videobg'] == '1'){ ?>top:0; left:0;width:100%;height:100%;<?php } else { if(isset($layer['x'])) echo "left:".$layer['x'].'px;'; if(isset($layer['y'])) echo 'top:'.$layer['y'].'px;'; }?><?php if(isset($layer['z_index'])){?>z-index:<?php echo $layer['z_index'];?>;<?php } ?><?php if(isset($layer['fontsize'])) {?> font-size:<?php echo $layer['fontsize'].'px';?>;<?php } ?><?php if(isset($layer['textcolor'])) {?> color:<?php echo $layer['textcolor'];?>;<?php } ?><?php if(isset($layer['fontstyle'])) {?> font-style:<?php echo $layer['fontstyle'];?>;<?php } ?><?php if(isset($layer['fontweight'])) {?> font-weight:<?php echo $layer['fontweight'];?>;<?php } ?><?php if(isset($layer['texttransform'])) {?> text-transform:<?php echo $layer['texttransform'];?>;<?php } ?><?php if(isset($layer['letterspacing'])) {?> letter-spacing:<?php echo $layer['letterspacing'];?>;<?php } ?>">
								<?php if ($layer['type'] == 'image') {?>									
									<img src="<?php if(strpos($layer['url'], "http") !== false) echo $layer['url']; else echo get_site_url().$layer['url'];?>" />								
								<?php } elseif ($layer['type'] == 'text') {?>								
									<?php echo $layer['text'];?>
								<?php } elseif ($layer['type'] == 'video') {?>
									<i class="dashicons dashicons-move" title="Keep mouse to move" ></i>
									<?php if ($layer['videotype'] == 'youtube') { ?>
										<iframe <?php if (isset($layer['videobg']) && $layer['videobg'] == '1'){ ?>width="100%" height="100%"<?php } else { if(isset($layer['width'])) {?>width="<?php echo $layer['width'];?>px;"<?php } if(isset($layer['width'])) {?> height="<?php echo $layer['height'];?>px;"<?php } } ?> src="http://www.youtube.com/embed/<?php echo $layer['videoid'];?>?autoplay=<?php echo $layer['autoplay'];?>&controls=<?php echo $layer['controls'];?>&loop=<?php echo $layer['loop'];?>" allowfullscreen frameborder="0"></iframe>
									<?php } elseif ($layer['videotype'] == 'vimeo') {?>
										<iframe <?php if (isset($layer['videobg']) && $layer['videobg'] == '1'){ ?>width="100%" height="100%"<?php } else { ?>width="<?php echo $layer['width'];?>px;" height="<?php echo $layer['height'];?>px;"<?php } ?> src="https://player.vimeo.com/video/<?php echo $layer['videoid'];?>?autoplay=<?php echo $layer['autoplay'];?>&loop=<?php echo $layer['loop'];?>" allowfullscreen frameborder="0"></iframe>
									<?php } ?>	
								<?php } elseif ($layer['type'] == 'link') {?>								
									<a href="<?php if(isset($layer['link'])) {?><?php echo $layer['link']; } else { echo "#"; } ?>"><?php echo $layer['text'];?></a>
								<?php } ?>	
							</div>		
						<?php } 
						} ?>
					</div>
				</div>
			</div>			
		</div>
		<!-- End wrap-slider -->
		<div class="mastertimer-wrapper">
			<div class="mastertimer-left">
				<ul id="timeline-title">
					<li id="fulltime-title"><?php echo esc_html_e( 'Slide Time', 'jmsslider' );?></li>					
				</ul>
			</div>
			<div class="mastertimer-right">
				<div id="mastertimer-curtime"><span id="mastertimer-curtimeinner"></span></div>
				<div class="mastertimer">
					<div id="mastertimer-linear">
						<ul class="linear-texts">
						</ul>
					</div>
				</div>	
				<input type="hidden" id="slide-duration" value="<?php echo $_settings['duration'];?>" />
				<div id="time-line">
					<ul>
						<li id="fulltime" class="mastertimer-slide">
							<div class="fulltime" style="width:<?php echo $_settings['duration']/10;?>px;"></div>
						</li>						
					</ul>
				</div>
			</div>
		</div>	
		<div class="jms-wrap-model add_text_layer" style="display: none;">
			<div class="jms-theme-overlay"></div>
			<div id="jms-dialog">
				<div class="dialog-title">
					<span class="title"><?php echo esc_html_e( 'Add text or html', 'jmsslider' );?></span>
					<span class="close dashicons dashicons-no-alt"></span>
				</div>
				<div class="add-form">					
						<div class="form-group">
							<label for="title_text_new"><?php echo esc_html_e( 'Title', 'jmsslider' );?></label>
							<input type="text" name="title_text_new" id="title_text_new">
						</div>
						<div class="form-group">
							<label for="text_layer"><?php echo esc_html_e( 'Text or HTML', 'jmsslider' );?></label>
							<?php
								$content = 'demo text';
								$editor_id = 'text_layer';
								$_settingss = array (
									'textarea_name' => 'text_layer', 
								    'textarea_rows' => 5,
								    'media_buttons' => FALSE,
								    'teeny'         => FALSE,
								    'tinymce'       => TRUE
								);
								wp_editor( $content, $editor_id, $_settingss );
							?>
						</div>
						<div class="form-group">
							<button type="button" id="submitLayerText" class="button button-primary button-large"><?php echo esc_html_e( 'Add Layer', 'jmsslider' );?></button>
						</div>					
				</div>
			</div>			
		</div>
		<div class="jms-wrap-model add_link_layer" style="display: none;">
			<div class="jms-theme-overlay"></div>
			<div id="jms-dialog">
				<div class="dialog-title">
					<span class="title"><?php echo esc_html_e( 'Add Link', 'jmsslider' );?></span>
					<span class="close dashicons dashicons-no-alt"></span>
				</div>
				<div class="add-form">					
						<div class="form-group">
							<label for="title_link_new"><?php echo esc_html_e( 'Title', 'jmsslider' );?></label>
							<input type="text" name="title_link_new" id="title_link_new">
						</div>
						<div class="form-group">
							<label for="link_text"><?php echo esc_html_e( 'Link Text', 'jmsslider' );?></label>
							<input type="text" name="link_text" id="link_text">
						</div>
						<div class="form-group">
							<label for="link_url"><?php echo esc_html_e( 'Url', 'jmsslider' );?></label>
							<input type="text" name="link_url" id="link_url">
						</div>
						<div class="form-group">
							<button type="button" id="submitLayerLink" class="button button-primary button-large"><?php echo esc_html_e( 'Add Link', 'jmsslider' );?></button>
						</div>					
				</div>
			</div>			
		</div>
		<div class="jms-wrap-model add_video_layer" style="display: none;">
			<div class="jms-theme-overlay"></div>
			<div id="jms-dialog">
				<div class="dialog-title">
					<span class="title"><?php echo esc_html_e( 'Add Video (Youtube or Vimeo)', 'jmsslider' );?></span>
					<span class="close dashicons dashicons-no-alt"></span>
				</div>
				<div class="add-form">					
						<div class="form-group">
							<label for="title_video_new"><?php echo esc_html_e( 'Title', 'jmsslider' );?></label>
							<input type="text" name="title_video_new" id="title_video_new">
						</div>
						<div class="form-group">
							<label for="text_layer"><?php echo esc_html_e( 'Video Url', 'jmsslider' );?></label>
							<input type="text" name="data_video_new" id="data_video_new" />
							<p class="description">Eg: https://www.youtube.com/watch?v=2PEG82Udb90 or https://vimeo.com/23259282</p>
						</div>
						<div class="form-group">
							<button type="button" id="submitLayerVideo" class="button button-primary button-large"><?php echo esc_html_e( 'Add Video', 'jmsslider' );?></button>
						</div>					
				</div>
			</div>			
		</div>		
		<?php		
        $transitions = array(
            0 => array('id' => 'none', 'name' => 'none'),
            1 => array('id' => 'fade', 'name' => 'Fade'),
            2 => array('id' => 'left', 'name' => 'Left'),
            3 => array('id' => 'right', 'name' => 'Right'),
            4 => array('id' => 'top', 'name' => 'Top'),
            5 => array('id' => 'bottom', 'name' => 'Bottom'),
            6 => array('id' => 'topLeft', 'name' => 'Top Left'),
            7 => array('id' => 'bottomLeft', 'name' => 'Bottom Left'),
            8 => array('id' => 'topRight', 'name' => 'Top Right'),
            9 => array('id' => 'bottomRight', 'name' => 'Bottom Right'),
            );
        $eases = array(
            0 => array('id' => 'linear', 'name' => 'linear'),
            1 => array('id' => 'swing', 'name' => 'swing'),
            2 => array('id' => 'easeInQuad', 'name' => 'easeInQuad'),
            3 => array('id' => 'easeOutQuad', 'name' => 'easeOutQuad'),
            4 => array('id' => 'easeInOutQuad', 'name' => 'easeInOutQuad'),
            5 => array('id' => 'easeInCubic', 'name' => 'easeInCubic'),
            6 => array('id' => 'easeOutCubic', 'name' => 'easeOutCubic'),
            7 => array('id' => 'easeInOutCubic', 'name' => 'easeInOutCubic'),
            8 => array('id' => 'easeInQuart', 'name' => 'easeInQuart'),
            9 => array('id' => 'easeOutQuart', 'name' => 'easeOutQuart'),
            10 => array('id' => 'easeInOutQuart', 'name' => 'easeInOutQuart'),
            11 => array('id' => 'easeInQuint', 'name' => 'easeInQuint'),
            12 => array('id' => 'easeOutQuint', 'name' => 'easeOutQuint'),
            13 => array('id' => 'easeInOutQuint', 'name' => 'easeInOutQuint'),
            14 => array('id' => 'easeInExpo', 'name' => 'easeInExpo'),
            15 => array('id' => 'easeOutExpo', 'name' => 'easeOutExpo'),
            16 => array('id' => 'easeInOutExpo', 'name' => 'easeInOutExpo'),
            17 => array('id' => 'easeInSine', 'name' => 'easeInSine'),
            18 => array('id' => 'easeOutSine', 'name' => 'easeOutSine'),
            19 => array('id' => 'easeInOutSine', 'name' => 'easeInOutSine'),
            20 => array('id' => 'easeInCirc', 'name' => 'easeInCirc'),
            21 => array('id' => 'easeOutCirc', 'name' => 'easeOutCirc'),
            22 => array('id' => 'easeInOutCirc', 'name' => 'easeInOutCirc'),
            23 => array('id' => 'easeInElastic', 'name' => 'easeInElastic'),
            24 => array('id' => 'easeOutElastic', 'name' => 'easeOutElastic'),
            25 => array('id' => 'easeInOutElastic', 'name' => 'easeInOutElastic'),
            26 => array('id' => 'easeInBack', 'name' => 'easeInBack'),
            27 => array('id' => 'easeOutBack', 'name' => 'easeOutBack'),
            28 => array('id' => 'easeInOutBack', 'name' => 'easeInOutBack'),
            23 => array('id' => 'easeInBounce', 'name' => 'easeInBounce'),
            24 => array('id' => 'easeOutBounce', 'name' => 'easeOutBounce'),
            25 => array('id' => 'easeInOutBounce', 'name' => 'easeInOutBounce'),
            );
		?>	
		<div class="area-display">			
			<div class="layerconfig layer-col">
				<div class="inner">
					<h3 class="title"><?php echo esc_html_e( 'Layer Setting', 'jmsslider' );?></h3>
					<div class="row">
						<div class="col-4">
							<div class="field-box">
								<label for=""><?php echo esc_html_e( 'Title', 'jmsslider' );?></label>
								<input type="text" name="title" id="layer_title" class="layer-data" value="">
							</div>
							<div class="field-box">
								<label for=""><?php echo esc_html_e( 'Class Suffix', 'jmsslider' );?>
									<div class="help">?
										<div class="help-block">
											<p><?php echo esc_html_e( 'Add Class Suffix for layer when you want to style for layer, add css style in style.css file', 'jmsslider' );?></p>
										</div>
									</div>
								</label>
								<input type="text" name="class" id="layer_class" class="layer-data" value="">													
							</div>	
							<div class="field-box">
								<label for=""><?php echo esc_html_e( 'Delay', 'jmsslider' );?>
									<div class="help">?
										<div class="help-block">
											<p><?php echo esc_html_e( 'Time in ms before the in transition starts (in the current step / see steps)', 'jmsslider' );?></p>
										</div>
									</div>
								</label>
								<input type="text" name="delay" id="layer_delay" class="layer-data" value=""> (ms)						
							</div>	
							<div class="field-box">	
								<label for=""><?php echo esc_html_e( 'Time', 'jmsslider' );?>
									<div class="help">?
										<div class="help-block">
											<p><?php echo esc_html_e( 'Time after which the elements animation is complete. It will start at the beginning of the slide/step, or after its specificed delay', 'jmsslider' );?></p>
										</div>
									</div>
								</label>
								<input type="text" name="time" id="layer_time" class="layer-data" value=""> (ms)
							</div>	
							<div class="field-box">	
								<label for=""><?php echo esc_html_e( 'Step', 'jmsslider' );?>
									<div class="help">?
										<div class="help-block">
											<p><?php echo esc_html_e( 'You can group your elements in different steps. All animation of one step will start at the same time (maybe with your choosen element-specific data-delay). Elements of the next step will not start before the previous step is finished. If an element has no data-step attribute the plugin will thread it as having data-step=”0″.', 'jmsslider' );?></p>
										</div>
									</div>
								</label>
								<select name="step" id="layer_step" class="layer-data">
									<?php for($i = 0; $i < 9; $i++) {?>
									<option value="<?php echo $i;?>"><?php echo $i;?></option>
									<?php } ?>
								</select>								
							</div>									
						</div>					
						<div class="col-4">
							<div class="field-box">
								<label for=""><?php echo esc_html_e( 'Data X', 'jmsslider' );?>
									<div class="help">?
										<div class="help-block">
											<p><?php echo esc_html_e( 'Data X Position, Left Offset In Pixel', 'jmsslider' );?></p>
										</div>
									</div>
								</label>
								<input type="number" name="x" id="layer_x" class="layer-data" value=""> (px)
							</div>	
							<div class="field-box">
								<label for=""><?php echo esc_html_e( 'Data Y', 'jmsslider' );?>
									<div class="help">?
										<div class="help-block">
											<p><?php echo esc_html_e( 'Data Y Position, Top Offset In Pixel', 'jmsslider' );?></p>
										</div>
									</div>
								</label>
								<input type="number" name="y" id="layer_y" class="layer-data" value=""> (px)
							</div>	
							<div class="field-box">
								<label for=""><?php echo esc_html_e( 'Z-Index', 'jmsslider' );?>
									<div class="help">?
										<div class="help-block">
											<p><?php echo esc_html_e( 'Layer has Z-Index bigger then over to Layer has Z_index Less than', 'jmsslider' );?></p>
										</div>
									</div>
								</label>
								<input type="number" name="z_index" id="layer_z_index" class="layer-data" value="1"> 
							</div>
							<div class="field-box">	
								<label for=""><?php echo esc_html_e( 'Data Align', 'jmsslider' );?>
									<div class="help">?
										<div class="help-block">
											<p><?php echo esc_html_e( 'Align for Layer, Left : data X Will = 0, Right Data X will = 100%, Center Data X will = ([slide width] - [object x])/2.Note : When use Data Align Data X will not avaiable.', 'jmsslider' );?></p>
										</div>
									</div>
								</label>
								<select name="align" id="layer_align" class="layer-data">
									<option selected="" value=""><?php echo esc_html_e( 'none', 'jmsslider' );?></option>
									<option value="left"><?php echo esc_html_e( 'Left', 'jmsslider' );?></option>
									<option value="right"><?php echo esc_html_e( 'Right', 'jmsslider' );?></option>
									<option value="center"><?php echo esc_html_e( 'Center', 'jmsslider' );?></option>
								</select>								
							</div>
							<div class="field-box">		
								<label for=""><?php echo esc_html_e( 'Align Offset', 'jmsslider' );?>
									<div class="help">?
										<div class="help-block">
											<p><?php echo esc_html_e( 'Align Offset : Offset from align direction (Left, Right, Center). If set align "Right" it will offset with right side, if set align "Left" it will offset with left side, if set align "Center" it will offset with center of slider, example -30 will shift to left 30px, 30 will shift to right 30px.', 'jmsslider' );?></p>
										</div>
									</div>
								</label>
								<input type="number" name="offset" id="layer_offset" class="layer-data" value="20"> (px)
							</div>			
						</div>
						<div class="col-4">	
							<div class="field-box">	
								<label for=""><?php echo esc_html_e( 'Transition In', 'jmsslider' );?>
									<div class="help">?
										<div class="help-block">
											<p><?php echo esc_html_e( 'type of the in-animation (default is left) possible values: fade, none ,left, topLeft, bottomLeft, right, topRight, bottomRight, top, bottom. none lets the element just appear/disappear at the desired location
the direction-type values define the direction in which the element is animated.', 'jmsslider' );?></p>
										</div>
									</div>
								</label>
								<select id="layer_in" name="in" class="layer-data">
									<?php foreach($transitions as $transition) {?>
									<option value="<?php echo $transition['id'];?>"><?php echo $transition['name'];?></option>
									<?php } ?>
								</select>
							</div>		
							<div class="field-box">		
								<label for=""><?php echo esc_html_e( 'Transition Out', 'jmsslider' );?>
									<div class="help">?
										<div class="help-block">
											<p><?php echo esc_html_e( 'type of the out-animation (default is left) possible values: fade, none ,left, topLeft, bottomLeft, right, topRight, bottomRight, top, bottom. none lets the element just appear/disappear at the desired location
the direction-type values define the direction in which the element is animated.', 'jmsslider' );?></p>
										</div>
									</div>
								</label>
								<select id="layer_out" class="layer-data" name="out">
									<?php foreach($transitions as $transition) {?>
									<option value="<?php echo $transition['id'];?>"><?php echo $transition['name'];?></option>
									<?php } ?>
								</select>
							</div>
							<div class="field-box">	
								<label for=""><?php echo esc_html_e( 'Data Special', 'jmsslider' );?>
									<div class="help">?
										<div class="help-block">
											<p><?php echo esc_html_e( 'The only value currently available for data-special is cycle.cycle will trigger the out transition for the previous element in the current step.(remember to use data-delay for elements with cycle, or they will start at the same time the element to cycle starts – that will break the whole fun)', 'jmsslider' );?></p>
										</div>
									</div>
								</label>
								<select name="special" id="layer_special" class="layer-data">
									<option selected="" value=""><?php echo esc_html_e( 'none', 'jmsslider' );?></option>
									<option value="cycle"><?php echo esc_html_e( 'cycle', 'jmsslider' );?></option>
								</select>								
							</div>	
							<div class="field-box">		
								<label for=""><?php echo esc_html_e( 'Ease In', 'jmsslider' );?>
									<div class="help">?
										<div class="help-block">
											<p><?php echo esc_html_e( 'easing for the in-animation', 'jmsslider' );?></p>
										</div>
									</div>
								</label>
								<select id="layer_ease_in" class="layer-data" name="ease_in">
									<?php foreach($eases as $ease) {?>
									<option value="<?php echo $ease['id'];?>"><?php echo $ease['name'];?></option>
									<?php } ?>
								</select>
							</div>		
							<div class="field-box">		
								<label for=""><?php echo esc_html_e( 'Ease Out', 'jmsslider' );?>
									<div class="help">?
										<div class="help-block">
											<p><?php echo esc_html_e( 'easing for the out-animation', 'jmsslider' );?></p>
										</div>
									</div>
								</label>
								<select id="layer_ease_out" class="layer-data" name="ease_out">
									<?php foreach($eases as $ease) {?>
									<option value="<?php echo $ease['id'];?>"><?php echo $ease['name'];?></option>
									<?php } ?>
								</select>
							</div>									
						</div>						
					</div>
					<div class="text-area row">
						<div class="col-4">
							<div class="field-box">
								<label for=""><?php echo esc_html_e( 'Font Size', 'jmsslider' );?></label>
								<input name="fontsize" id="layer_fontsize" class="layer-data" value="20" type="number"> px
							</div>
							<div class="field-box">
								<label for=""><?php echo esc_html_e( 'Text Color', 'jmsslider' );?></label>								
								<input class="layer-data color-picker" id="layer_textcolor" name="textcolor" type="text" value="" />
							</div>
							<div class="field-box">
								<label for=""><?php echo esc_html_e( 'Letter Spacing', 'jmsslider' );?>
									<div class="help">?
										<div class="help-block">
											<p><?php echo esc_html_e( 'Spacing between character in px. recomment min 0.0 , max 10px', 'jmsslider' );?></p>
										</div>
									</div>
								</label>								
								<input name="letterspacing" id="layer_letterspacing" class="layer-data" value="0" min="0" max="10" step="0.1" type="number"> px
							</div>		
						</div>
						<div class="col-4">
							<div class="field-box">
								<label for=""><?php echo esc_html_e( 'Font Style', 'jmsslider' );?></label>								
								<select name="fontstyle" id="layer_fontstyle" class="layer-data">									
									<option value="normal" selected="selected"><?php echo esc_html_e( 'normal', 'jmsslider' );?></option>
									<option value="italic"><?php echo esc_html_e( 'Italic', 'jmsslider' );?></option>
									<option value="oblique"><?php echo esc_html_e( 'Oblique', 'jmsslider' );?></option>
								</select>
							</div>
							<div class="field-box">
								<label for=""><?php echo esc_html_e( 'Font Weight', 'jmsslider' );?></label>								
								<select name="fontweight" id="layer_fontweight" class="layer-data">									
									<option value="100"><?php echo esc_html_e( '100', 'jmsslider' );?></option>
									<option value="200"><?php echo esc_html_e( '200', 'jmsslider' );?></option>
									<option value="300"><?php echo esc_html_e( '300', 'jmsslider' );?></option>
									<option value="400" selected="selected"><?php echo esc_html_e( '400(normal)', 'jmsslider' );?></option>
									<option value="500"><?php echo esc_html_e( '500', 'jmsslider' );?></option>
									<option value="600"><?php echo esc_html_e( '600', 'jmsslider' );?></option>
									<option value="700"><?php echo esc_html_e( '700(bold)', 'jmsslider' );?></option>
									<option value="800"><?php echo esc_html_e( '800', 'jmsslider' );?></option>
									<option value="900"><?php echo esc_html_e( '900', 'jmsslider' );?></option>
								</select>
							</div>
							<div class="field-box">
								<label for=""><?php echo esc_html_e( 'Text Transform', 'jmsslider' );?></label>								
								<select name="texttransform" id="layer_texttransform" class="layer-data">									
									<option value="none" selected="selected"><?php echo esc_html_e( 'none', 'jmsslider' );?></option>
									<option value="uppercase"><?php echo esc_html_e( 'uppercase', 'jmsslider' );?></option>
									<option value="lowercase"><?php echo esc_html_e( 'lowercase', 'jmsslider' );?></option>
									<option value="capitalize"><?php echo esc_html_e( 'capitalize', 'jmsslider' );?></option>
								</select>								
							</div>
						</div>
						<div class="col-4">
							<div class="field-box text-area-content">
								<h3 class="title"><?php echo esc_html_e( 'Text', 'jmsslider' );?></h3>
								<div class="row">
									<textarea id="layer_text" name="text" class="layer-data" cols="70" rows="2"></textarea>
								</div>	
							</div>
							<div class="field-box linkurl">
								<label for=""><?php echo esc_html_e( 'Link Url', 'jmsslider' );?></label>								
								<input type="text" name="link" id="layer_link" class="layer-data" value="#" />								
							</div>	
						</div>
					</div>	
					<div class="video-settings">
						<h3 class="title"><?php echo esc_html_e( 'Video Layer Setting', 'jmsslider' );?></h3>
						<div class="row">	
							<div class="col-4">
								<div class="field-box">	
									<label for=""><?php echo esc_html_e( 'Auto Play', 'jmsslider' );?></label>
									<select name="autoplay" id="layer_autoplay" class="layer-data">
										<option value="1" selected="selected"><?php echo esc_html_e( 'Yes', 'jmsslider' );?></option>
										<option value="0"><?php echo esc_html_e( 'No', 'jmsslider' );?></option>
									</select>
								</div>											
								<div class="field-box">	
									<label for=""><?php echo esc_html_e( 'Loop', 'jmsslider' );?></label>
									<select name="loop" id="layer_loop" class="layer-data">
										<option value="1"><?php echo esc_html_e( 'Yes', 'jmsslider' );?></option>
										<option value="0" selected="selected"><?php echo esc_html_e( 'No', 'jmsslider' );?></option>
									</select>
								</div>
							</div>	
							<div class="col-4">			
								<div class="field-box">	
									<label for=""><?php echo esc_html_e( 'Controls', 'jmsslider' );?></label>
									<select name="controls" id="layer_controls" class="layer-data">
										<option value="1"><?php echo esc_html_e( 'Yes', 'jmsslider' );?></option>
										<option value="0" selected="selected"><?php echo esc_html_e( 'No', 'jmsslider' );?></option>
									</select>
								</div>								
								<div class="field-box">	
									<label for=""><?php echo esc_html_e( 'Video Background', 'jmsslider' );?></label>
									<select name="videobg" id="layer_videobg" class="layer-data">									
										<option value="0" selected="selected"><?php echo esc_html_e( 'No', 'jmsslider' );?></option>
										<option value="1"><?php echo esc_html_e( 'Yes', 'jmsslider' );?></option>
									</select>
								</div>
							</div>	
							<div class="col-4">
								<div class="field-box">		
									<label for=""><?php echo esc_html_e( 'Width', 'jmsslider' );?></label>
									<input type="number" name="width" id="layer_width" class="layer-data" value="500"> (px)
								</div>									
								<div class="field-box">		
									<label for=""><?php echo esc_html_e( 'Height', 'jmsslider' );?></label>
									<input type="number" name="height" id="layer_height" class="layer-data" value="300"> (px)
								</div>
							</div>	
						</div>
					</div>	
				</div>
			</div>
		</div>
		<!-- end area-display -->
	<form action="#" method="POST" id="layersForm" name="layersForm">		
		<input type="hidden" id="mw" name="mw" value="<?php echo $_width; ?>" />
		<input type="hidden" id="mh" name="mh" value="<?php echo $_height; ?>" />
		<input type="hidden" id="layersjson" name="layersjson" value="" />
		<input type="hidden" name="id_slide" value="<?php echo $id;?>" />
		<input type="hidden" id="root_url" name="root_url" value="<?php echo site_url();?>" />
	</form>
	<p><strong><?php echo esc_html_e( 'Usage', 'jmsslider' );?>:</strong> <?php echo esc_html_e( 'Click to Layer box or timeline to set for Layer active.', 'jmsslider' );?></p>
</div>
